; v. 12.02.2017 (   ,          ,         )
           LIST      p=16f877
            #include  <P16F877.inc>
            errorlevel	-302		  ;    
            __CONFIG  (_LVP_OFF & _CP_OFF & _CPD_OFF & _PWRTE_ON & _WDT_ON & _HS_OSC & _BODEN_ON & _DEBUG_OFF )

cblock      0x20 
TEMPS                                 ;     
W_TEMP                                ;   -  W
ST_TEMP                               ;   -  STATUS
LCD_tmp                               ;       LCD
LCD_tmp1                              ; -//-
Reg_tmp_WR                            ;       EEPROM
Reg_tmp_TMR                           ;    
Reg_tmp1                              ;     
Reg_tmp2                              ; -//-
Reg_tmp3                              ; -//-
Reg_tmp4                              ;      
Reg_tmp5                              ; -//-
Reg_1                                 ;          
Reg_2                                 ; -//-
Reg_3                                 ; -//-
Reg_4                                 ;            
Reg_tmpL                              ;         
Reg_tmpH                              ; -//-
Reg_T_USTh                            ;        
Reg_T_USTl                            ;        
Reg_T_TEMPh                           ;         
Reg_T_TEMPl                           ;         
Reg_T_TEMPll                          ;              
Reg_T_TEMPhh                          ;              
ctr                                   ;         
bcd1                                  ; -//-
bcd2                                  ; -//-
bcd3                                  ; -//-
bin1                                  ; -//-
bin2                                  ; -//-
TenK                                  ;  
Thou                                  ; 
Hund                                  ; 
Tens                                  ; 
Ones                                  ; 
;    
Reg_tmp_PR                            ;     
kursor                                ;     
Temmp                                 ;     _, _     
T_h                                   ;          
P_h                                   ;          
T_l                                   ;          
P_l                                   ;          
endc      


#define TMP             .244          ;            EEPROM (3 )
#define DAT_ENC         PORTB,4       ;       
#define CLK_ENC         PORTB,5       ;        
#define ON_OFF_ENC      PORTB,0       ;     
#define RS_LCD          LCD_tmp1,1    ;    RS  LCD
#define E_LCD           LCD_tmp1,0    ;    E  LCD
#define D7_1        bsf PORTC,4       ;       LCD
#define D7_0        bcf PORTC,4       ; -//-
#define D6_1        bsf PORTC,5       ; -//-
#define D6_0        bcf PORTC,5       ; -//-
#define D5_1        bsf PORTC,6       ; -//-
#define D5_0        bcf PORTC,6       ; -//-
#define D4_1        bsf PORTC,7       ; -//-
#define D4_0        bcf PORTC,7       ; -//-
#define D3_1        bsf PORTB,1       ; -//-
#define D3_0        bcf PORTB,1       ; -//-
#define D2_1        bsf PORTB,2       ; -//-
#define D2_0        bcf PORTB,2       ; -//-
#define D1_1        bsf PORTB,3       ; -//-
#define D1_0        bcf PORTB,3       ; -//-
#define D0_1        bsf PORTB,6       ; -//-
#define D0_0        bcf PORTB,6       ; -//-
#define ON_OFF_ENC_F    TEMPS,7       ;       (1-   , 0-  )
#define INC_F           TEMPS,6       ;       (1-  , 0-  )
#define W_R             TEMPS,5       ;       EEPROM (1-  EEPROM, 0-  )
#define SERV_UST_l      TEMPS,4       ;            (1-  , 0-  )
#define SERV_UST_h      TEMPS,3       ;            (1-  , 0-  )
#define SEC_PAUS        TEMPS,2       ;       ,       (1- , 0-  )
#define KURSOR          TEMPS,1       ;       (1-  , 0- )
#define PROPUSK         TEMPS,0       ; 999       ,           (1-    , 0-   )
#define BEEP_ON     bcf PORTA,4       ;     
#define BEEP_OFF    bsf PORTA,4       ;     
#define ON_OFF_H        Temmp,0       ;    _   (1- , 0- )
#define ON_OFF_L        Temmp,1       ;    _   (1- , 0- )
#define AV_R_H          Temmp,2       ;    _   (1- , 0- )
#define AV_R_L          Temmp,3       ;    _   (1- , 0- )



            org         2100h         ;   "",   EEPROM-,
            de          .1            ;   00h,  1
            org         2101h         ;   "",   EEPROM-,
            de          .1            ;   01h,  1 ( )
            org         2102h         ;   "",   EEPROM-,
            de          .0            ;   02h,  0
            org         2103h         ;   "",   EEPROM-,
            de          .100          ;   03h,  100 (        )
            org         2104h         ;   "",   EEPROM-,
            de          .50           ;   04h,  50 (   %       )
            org         2105h         ;   "",   EEPROM-,
            de          .100          ;   05h,  100 (        )
            org         2106h         ;   "",   EEPROM-,
            de          .50           ;   06h,  50 (   %       )
            org         2107h         ;   "",   EEPROM-,
            de          .20           ;   07h,  20 (    %       )
            org         2108h         ;   "",   EEPROM-,
            de          .99           ;   08h,  99 (    %       )


                           ;;;;;;;;;;;;;;;;;;;
                           ;  ;
                           ;;;;;;;;;;;;;;;;;;;
            org         0
            goto        START 

                           ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                           ;     ;
                           ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;     ->         RB4, RB5, RB6, RB7, INT
            ORG         4h            ;    
            bsf         W_R           ;     EEPROM
            movlw       TMP           ;    3      EEPROM (  )
            movwf       Reg_tmp_WR    ; -//- 
            movwf       W_TEMP        ;  W   - 
            movf        STATUS,W      ;  STATUS  W 
            movwf       ST_TEMP       ;  W   - 
            movf        PORTB, W      ;    B   
            bcf         INTCON, RBIF  ;   RBIF
            bcf         INTCON, INTF  ;   INTF
            btfss       ON_OFF_ENC    ;   
            goto        button        ;      
            bsf         INC_F         ;     
            goto        ENDS          ;   
button      bsf         ON_OFF_ENC_F  ;     
ENDS        movf        ST_TEMP,W     ;     STATUS  W
            movwf       STATUS        ; -//-
            swapf       W_TEMP,f      ; -//-
            swapf       W_TEMP,W      ; -//-
            retfie                    ;    GIE   1  

;     HD44780
TABL_dig    andlw       b'00001111'   ;    W ( 4  )
            addwf       PCL,f         ;    PC      W
            retlw       0x30          ; 0
            retlw       0x31          ; 1 
            retlw       0x32          ; 2 
            retlw       0x33          ; 3 
            retlw       0x34          ; 4 
            retlw       0x35          ; 5  
            retlw       0x36          ; 6 
            retlw       0x37          ; 7 
            retlw       0x38          ; 8 
            retlw       0x39          ; 9
            retlw       0x41          ; A
            retlw       0x42          ; B
            retlw       0x43          ; C
            retlw       0x44          ; D
            retlw       0x45          ; E
            retlw       0x46          ; F

;    
PR_info     andlw       b'00001111'   ;    W ( 4  )
            addwf       PCL,f         ;    PC      W
            nop
            goto        T_PROF_1      ; 1 
            goto        T_PROF_2      ; 2 
            goto        T_PROF_3      ; 3 
            goto        T_PROF_4      ; 4 
            goto        T_PROF_5      ; 5 
            goto        T_PROF_6      ; 6 
            goto        T_PROF_7      ; 7 
            goto        T_PROF_8      ; 8 
            goto        T_PROF_9      ; 9 
            goto        T_PROF_10     ; 10 
            goto        T_PROF_11     ; 11 
            goto        T_PROF_12     ; 12 
            goto        T_PROF_13     ; 13 
            goto        T_PROF_14     ; 14 

                           ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                           ;  ;
                           ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
START       bcf         STATUS,RP0    ;    0
            banksel     OPTION_REG    ;    OPTION_REG
            movlw       b'00001101'   ;    PORTB,    WDT 1:32
            movwf       OPTION_REG    ; -//-
            banksel     INTCON        ;    INTCON
            movlw       b'00011000'   ;   ,        RB4 - RB7, INT
            movwf       INTCON        ; -//-
            banksel     PIE1          ;    PIE1
            movlw       b'00000000'   ;    
            movwf       PIE1          ; -//-
            banksel     TRISA         ;    PORTA
            movlw       b'00101100'   ;  RA2, RA3, RA5  ,   
            movwf       TRISA         ; -//-
            banksel     TRISB         ;    PORTB
            movlw       b'00110001'   ;     , RB4, RB5, RB0  
            movwf       TRISB         ; -//-
            banksel     TRISC         ;    PORTC
            movlw       b'00000001'   ;     , RC0  
            movwf       TRISC         ; -//-
            banksel     T1CON         ;    T1CON
            movlw       b'00000000'   ;   T1CON
            movwf       T1CON         ; -//-
            banksel     T2CON         ;    T2CON
            movlw       b'00000110'   ;   T2CON,    TMR2 1:16
            movwf       T2CON         ; -//-
            banksel     CCP1CON       ;    CCP1CON
            movlw       b'00001100'   ;   CCP1
            movwf       CCP1CON       ; -//-
            banksel     CCP2CON       ;    CCP2CON
            movlw       b'00001100'   ;   CCP2
            movwf       CCP2CON       ; -//-
            banksel     PR2           ;    PR2
            movlw       b'01100010'   ;           
            movwf       PR2           ; -//-
            banksel     SSPSTAT       ;    SSPSTAT
            movlw       b'00000000'   ;   SSPSTAT
            movwf       SSPSTAT       ; -//-
            banksel     SSPCON        ;    SSPCON
            movlw       b'00000000'   ;   SSPCON
            movwf       SSPCON        ; -//-
            banksel     SSPCON2       ;    SSPCON2
            movlw       b'00000000'   ;   SSPCON2
            movwf       SSPCON2       ; -//-  
            banksel     TXSTA         ;    TXSTA
            movlw       b'00000000'   ;   TXSTA
            movwf       TXSTA         ; -//-  
            banksel     RCSTA         ;    RCSTA
            movlw       b'00000000'   ;   RCSTA
            movwf       RCSTA         ; -//- 
            banksel     ADCON0        ;    ADCON0
            movlw       b'00000000'   ;   
            movwf       ADCON0        ; -//- 
            banksel     ADCON1        ;    ADCON1
            movlw       b'00000000'   ;   
            movwf       ADCON1        ; -//- 
            bcf         STATUS,RP0    ;    0

            call        OFFh          ;   
            call        OFFl          ;    

                           ;;;;;;;;;;;;;;;;;;;;;;;;;
                           ;  ;
                           ;;;;;;;;;;;;;;;;;;;;;;;;;
            call        del_100ms     ;   100  
            movlw       b'00000001'   ;  
            call        LCD_com       ; -//-
            call        del_5ms
            movlw       b'00000110'   ;   
            call        LCD_com       ; -//-   
            movlw       b'00001100'   ;  
            call        LCD_com       ; -//-   
            movlw       b'00010100'   ;   
            call        LCD_com       ; -//-  
            movlw       b'00111000'   ;  8   ,   58 
            call        LCD_com       ; -//-  
; 555   2004
; 666      
; 777     
; 888        
; 999      
            movlw       b'01000000'   ;    CGRAM 777
            call        LCD_com       ; -//-  777
;   
            movlw       0x04          ; 1  1  
            call        LCD_dig       ;  
            movlw       0x0E          ; 1  2  
            call        LCD_dig       ;  
            movlw       0x15          ; 1  3  
            call        LCD_dig       ;  
            movlw       0x04          ; 1  4  
            call        LCD_dig       ;  
            movlw       0x04          ; 1  5  
            call        LCD_dig       ;  
            movlw       0x04          ; 1  6  
            call        LCD_dig       ;  
            movlw       0x04          ; 1  7  
            call        LCD_dig       ;  
            movlw       0x00          ; 1  8  
            call        LCD_dig       ;  
;   
            movlw       0x04          ; 2  1  
            call        LCD_dig       ;  
            movlw       0x04          ; 2  2  
            call        LCD_dig       ;  
            movlw       0x04          ; 2  3  
            call        LCD_dig       ;  
            movlw       0x04          ; 2  4  
            call        LCD_dig       ;  
            movlw       0x15          ; 2  5  
            call        LCD_dig       ;  
            movlw       0x0E          ; 2  6  
            call        LCD_dig       ;  
            movlw       0x04          ; 2  7  
            call        LCD_dig       ;  
            movlw       0x00          ; 2  8  
            call        LCD_dig       ;  
;   
            movlw       0x18          ; 3  1  
            call        LCD_dig       ;  
            movlw       0x18          ; 3  2  
            call        LCD_dig       ;  
            movlw       0x00          ; 3  3  
            call        LCD_dig       ;  
            movlw       0x07          ; 3  4  
            call        LCD_dig       ;  
            movlw       0x08          ; 3  5  
            call        LCD_dig       ;  
            movlw       0x08          ; 3  6  
            call        LCD_dig       ;  
            movlw       0x07          ; 3  7  
            call        LCD_dig       ;  
            movlw       0x00          ; 3  8  
            call        LCD_dig       ;  


            bcf         KURSOR        ;  
            btfss       ON_OFF_ENC    ;    (    )
            call        UST_Pl_max    ; ,    

            clrf        Reg_T_TEMPl   ;  Reg_T_TEMPl
            bcf         W_R           ;   W_R
            bcf         INC_F         ;     
            bcf         ON_OFF_ENC_F  ;    
            call        BEEP          ;     
            call        READ_EEP      ;     EEPROM

            bcf         STATUS, Z     ;   Z
            movlw       0x00          ;   0      
            xorwf       kursor,W      ;    kursor
            btfsc       STATUS, Z     ;    Z,   0 (1= )
            call        kursor_1      ;   ,   kursor  (     )

            bcf         SERV_UST_l    ;         
            bcf         SERV_UST_h    ;            888
Go          call        BEEP          ;     
            call        Symbol        ;    

            btfsc       AV_R_H        ;   AV_R_H,           
            call        ABTh          ; -//- 666 
            btfss       AV_R_H        ; -//-  
            call        RUCHh         ; -//- 666 

            btfsc       AV_R_L        ;   AV_R_L,           
            call        ABTl          ; -//- 666 
            btfss       AV_R_L        ; -//-  
            call        RUCHl         ; -//- 666 

            btfsc       ON_OFF_H      ;   ON_OFF_H,         (      )
            call        ONh           ; -//- 666 
            btfss       ON_OFF_H      ; -//-  
            call        OFFh          ; -//- 666 

           btfsc       ON_OFF_L      ;   ON_OFF_L,         (      )
            call        ONl           ; -//- 666 
            btfss       ON_OFF_L      ; -//-  
            call        OFFl          ; -//- 666 

            call        T_PROF        ;    666
            call        OUTPUT_PR     ;      666
            call        kursor_OUT    ;   666

            call        OFF_PR        ;      666


Goo         bcf         SEC_PAUS      ;     
            movf        PORTB, W      ;    B   
            clrwdt
            btfsc       AV_R_H        ;   AV_R_H (      )
            call        T_READ_h      ;       ,        
            btfsc       AV_R_L        ;   AV_R_L (      )
            call        T_READ_l      ;       ,        
            bsf         INTCON, GIE   ;  
            call        OUT_T_h       ;       666
            call        OUT_T_l       ;       666
            btfsc       INC_F         ;    
            call        ENC           ;     ,   INC_F 
            bsf         INTCON, GIE   ;  
            btfsc       ON_OFF_ENC_F  ;    
            call        Button        ;     ,   ON_OFF_ENC_F  
            bsf         INTCON, GIE   ;  
            btfss       W_R           ;   W_R
            goto        Goo           ;      (   EEPROM)
            decfsz      Reg_tmp_WR,F  ;   ,     (3 )   EEPROM
            goto        Goo
            bcf         INTCON, GIE   ;  
            bcf         W_R           ;   W_R
;           call        BEEP          ;      EEPROM
            call        WRITE_EEP     ;     EEPROM
            bcf         KURSOR        ;     ( ,         3 )
            movlw       0xD4          ;      ( 0xD4 -  )
            call        LCD_com       ;   666
            call        simb_pust     ;   666
            goto        Goo
         

                           ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                           ;      ;
                           ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
ENC         bcf         INTCON, GIE   ;  
            movlw       .51           ;      0  CLK_ENC (150ms)
            movwf       Reg_1         ; -//- 
            movlw       .12           ; -//- 
            movwf       Reg_2         ; -//-
            movlw       .4            ; -//- 
            movwf       Reg_3         ; -//-  
ers         btfsc       CLK_ENC       ;    
            goto        READ_ENC      ;   ,     1
            decfsz      Reg_1, F
            goto        ers
            clrwdt
            decfsz      Reg_2, F
            goto        ers
            decfsz      Reg_3, F
            goto        ers
            bcf         INC_F         ;    
            bsf         INTCON, GIE   ;  
            return                    ;          (150ms) (  1 (    0))

READ_ENC    call        del_1ms       ;    
            movlw       .51           ;      0  CLK_ENC (150ms)
            movwf       Reg_1         ; -//- 
            movlw       .12           ; -//- 
            movwf       Reg_2         ; -//-
            movlw       .4            ; -//- 
            movwf       Reg_3         ; -//- 
rew         btfss       CLK_ENC       ;    
            goto        READY         ;   ,     0
            decfsz      Reg_1, F
            goto        rew
            clrwdt
            decfsz      Reg_2, F
            goto        rew
            decfsz      Reg_3, F
            goto        rew
            bcf         INC_F         ;    
            bsf         INTCON, GIE   ;  
            return                    ;          (150ms) (  0)

;   ,    
READY       
            btfsc       KURSOR        ;   KURSOR
            goto        kursor_UST    ;   
            btfsc       SERV_UST_l    ;   SERV_UST_l
            goto        UST_Pmaxl     ;          
            btfsc       SERV_UST_h    ;   SERV_UST_h
            goto        UST_Pmaxh     ;          
            btfsc       kursor, 0     ;  0 
            goto        AVTTh         ;    -      
            btfsc       kursor, 1     ;  1  
            goto        T_Ph          ;         
            btfsc       kursor, 2     ;  2  
            goto        ONOFFh        ;    -   
            btfsc       kursor, 3     ;  3  
            goto        AVTTl         ;    -      
            btfsc       kursor, 4     ;  4  
            goto        T_Pl          ;         
            btfsc       kursor, 5     ;  5  
            goto        ONOFFl        ;    -   
            btfsc       kursor, 6     ;  6  
            goto        PRR           ;    

kursor_UST  btfsc       DAT_ENC       ;        
            goto        kursor_UP     ; -//- 
            btfss       DAT_ENC       ; -//- 
            goto        kursor_DOWN   ; -//- 

kursor_UP   bcf         STATUS, C     ;    (   ) 
            btfsc       kursor, 6     ;  6  
            goto        kursor_6      ;   0,  1 -    7 
            rlf         kursor, F     ;     
            goto        kursor_OUT    ;   
kursor_6    movlw       b'01000000'   ;    7 
            movwf       kursor        ; -//-
            goto        kursor_OUT    ;   

kursor_DOWN bcf         STATUS, C     ;    (   ) 
            btfsc       kursor, 0     ;  0  
            goto        kursor_1      ;   0,  1 -    1 
            rrf         kursor, F     ;     
            goto        kursor_OUT    ;   
kursor_1    movlw       b'00000001'   ;    
            movwf       kursor        ; -//-
            goto        kursor_OUT    ;   

UST_Pmaxl   btfsc       DAT_ENC       ;               ( )
            goto        Pmaxl_UP      ; -//- 
            btfss       DAT_ENC       ; -//- 
            goto        Pmaxl_DOWN    ; -//- 

Pmaxl_UP    bcf         STATUS, Z     ;   Z
            movlw       .99           ;        99%
            xorwf       Reg_T_TEMPll,W ;    Reg_T_TEMPll
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        Pll_UPs       ;     1
            goto        ENC           ;   (     99)

Pmaxl_DOWN  bcf         STATUS, Z     ;   Z
            movlw       0x00          ;       0
            xorwf       Reg_T_TEMPll,W ;    Reg_T_TEMPll
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        Pll_DOWNs     ;     1
            goto        ENC           ;   (     0)

Pll_UPs     incf        Reg_T_TEMPll,F ;   Reg_T_TEMPll
            goto        OUTPUT_Pll    ;           ( )

Pll_DOWNs   decf        Reg_T_TEMPll,F ;   Reg_T_TEMPll
            goto        OUTPUT_Pll    ;           ( )

;           ( )
OUTPUT_Pll  clrf        Reg_tmpH      ;  Reg_tmpH
            movf        Reg_T_TEMPll,W ;   Reg_tmpL   Reg_T_TEMPll
            movwf       Reg_tmpL      ; -//-
            call        TRANSFORMER_dig ;
            movlw       0x85          ; 777 6          ;      ( 0x80 -  ) 666
            call        LCD_com       ;  
            movlw       0x30          ;    ,   0 
            movwf       Reg_tmp1      ; -//-
            movf        Tens,W        ; -//-
            call        TABL_dig      ; -//- 
            xorwf       Reg_tmp1,F    ; -//-
            skpnz                     ; -//-
            movlw       0x20          ; -//-
            call        LCD_dig       ;   
            movf        Ones,W        ;   W  Ones
            call        TABL_dig      ;     Ones 
            call        LCD_dig       ;   
            call        simb_proc     ; % 
            return

UST_Pmaxh   btfsc       DAT_ENC       ;               ( )
            goto        Pmaxh_UP      ; -//- 
            btfss       DAT_ENC       ; -//- 
            goto        Pmaxh_DOWN    ; -//- 

Pmaxh_UP    bcf         STATUS, Z     ;   Z
            movlw       .99           ;        99%
            xorwf       Reg_T_TEMPhh,W ;    Reg_T_TEMPhh
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        Phh_UPs       ;     1
            goto        ENC           ;   (     99)

Pmaxh_DOWN  bcf         STATUS, Z     ;   Z
            movlw       0x00          ;       0
            xorwf       Reg_T_TEMPhh,W ;    Reg_T_TEMPhh
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        Phh_DOWNs     ;     1
            goto        ENC           ;   (     0)

Phh_UPs     incf        Reg_T_TEMPhh,F ;   Reg_T_TEMPhh
            goto        OUTPUT_Phh    ;           ( )666

Phh_DOWNs   decf        Reg_T_TEMPhh,F ;   Reg_T_TEMPhh
            goto        OUTPUT_Phh    ;           ( )666

;           ( )
OUTPUT_Phh  clrf        Reg_tmpH      ;  Reg_tmpH
            movf        Reg_T_TEMPhh,W ;   Reg_tmpL   Reg_T_TEMPhh
            movwf       Reg_tmpL      ; -//-
            call        TRANSFORMER_dig ; 666
            movlw       0x85          ; 777 6          ;      ( 0x80 -  )
            call        LCD_com       ;   666
            movlw       0x30          ;    ,   0 
            movwf       Reg_tmp1      ; -//-
            movf        Tens,W        ; -//-
            call        TABL_dig      ; -//- 
            xorwf       Reg_tmp1,F    ; -//-
            skpnz                     ; -//-
            movlw       0x20          ; -//-
            call        LCD_dig       ;   
            movf        Ones,W        ;   W  Ones
            call        TABL_dig      ;     Ones 
            call        LCD_dig       ;   
            call        simb_proc     ; % 
            return

AVTTh       btfsc       DAT_ENC       ;         -      
            goto        ABTh          ; -//-
            btfss       DAT_ENC       ; -//- 
            goto        RUCHh         ; -//-

T_Ph        btfsc       AV_R_H        ;   AV_R_H         T  P   
            goto        UST_Th        ; -//- 
            btfss       AV_R_H        ; -//- 
            goto        UST_Ph        ; -//- 

UST_Th      btfsc       DAT_ENC       ;            
            goto        Th_UP         ; -//- 
            btfss       DAT_ENC       ; -//- 
            goto        Th_DOWN       ; -//- 

Th_UP       bcf         STATUS, Z     ;   Z
            movlw       .255          ;       
            xorwf       T_h,W         ;    T_h
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        Th_UPs        ;     1
            goto        ENC           ;   (     255)

Th_DOWN     bcf         STATUS, Z     ;   Z
            movlw       0x0A          ;       10
            xorwf       T_h,W         ;    T_h
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        Th_DOWNs      ;     1
            goto        ENC           ;   (     10)

Th_UPs      incf        T_h,F         ;   T_h
            goto        OUTPUT_Th     ;           

Th_DOWNs    decf        T_h,F         ;   T_h
            goto        OUTPUT_Th     ;           

AVTTl       btfsc       DAT_ENC       ;         -      
            goto        ABTl          ; -//- 
            btfss       DAT_ENC       ; -//- 
            goto        RUCHl         ; -//- 

T_Pl        btfsc       AV_R_L        ;   AV_R_L         T  P   
            goto        UST_Tl        ; -//- 
            btfss       AV_R_L        ; -//- 
            goto        UST_Pl        ; -//- 

UST_Tl      btfsc       DAT_ENC       ;            
            goto        Tl_UP         ; -//- 
            btfss       DAT_ENC       ; -//- 
            goto        Tl_DOWN       ; -//- 

Tl_UP       bcf         STATUS, Z     ;   Z
            movlw       .255          ;       
            xorwf       T_l,W         ;    T_l
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        Tl_UPs        ;     1
            goto        ENC           ;   (     255)

Tl_DOWN     bcf         STATUS, Z     ;   Z
            movlw       0x0A          ;       10
            xorwf       T_l,W         ;    T_l
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        Tl_DOWNs      ;     1
            goto        ENC           ;   (     10)

Tl_UPs      incf        T_l,F         ;   T_l
            goto        OUTPUT_Tl     ;           

Tl_DOWNs    decf        T_l,F         ;   T_l
            goto        OUTPUT_Tl     ;           


;           
OUTPUT_Th   clrf        Reg_tmpH      ;   Reg_tmpH
            movf        T_h,W         ;   Reg_tmpL   T_h
            movwf       Reg_tmpL      ; -//-
            movwf       Reg_T_USTh    ;     Reg_T_USTh      
            call        TRANSFORMER_dig ;
            movlw       0x8B          ;      ( 0x80 -  ) 666
            call        LCD_com       ;  
            call        simb_t        ; t
            movlw       0x30          ;    ,   0 
            movwf       Reg_tmp1      ; -//-
            movf        Hund,W        ; -//-
            call        TABL_dig      ; -//-
            xorwf       Reg_tmp1,F    ; -//-
            skpnz                     ; -//-
            movlw       0x20          ; -//-
            call        LCD_dig       ;  
            movf        Tens,W        ;   W  Tens
            call        TABL_dig      ;     Tens 
            call        LCD_dig       ;  
            movf        Ones,W        ;   W  Ones
            call        TABL_dig      ;     Ones 
            call        LCD_dig       ;   
            return

UST_Ph      btfsc       DAT_ENC       ;            
            goto        Ph_UP         ; -//-
            btfss       DAT_ENC       ; -//-
            goto        Ph_DOWN       ; -//-

Ph_UP       bcf         STATUS, Z     ;   Z
            movlw       .99           ;        99%
            xorwf       P_h,W         ;    P_h
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        Ph_UPs        ;     1
            goto        ENC           ;   (     99)

Ph_DOWN     bcf         STATUS, Z     ;   Z
            movlw       0x00          ;       0
            xorwf       P_h,W         ;    P_h
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        Ph_DOWNs      ;     1
            goto        ENC           ;   (     0)

Ph_UPs      incf        P_h,F         ;   P_h
            goto        OUTPUT_Ph     ;           

Ph_DOWNs    decf        P_h,F         ;   P_h
            goto        OUTPUT_Ph     ;           

;           ,      
OUTPUT_Ph   clrf        Reg_tmpH      ;  Reg_tmpH
            movf        P_h,W         ;   Reg_tmpL   P_h
            movwf       Reg_tmpL      ; -//-
            movwf       CCPR2L        ;          
            call        TRANSFORMER_dig ;
            movlw       0x8B          ;      ( 0x80 -  ) 666
            call        LCD_com       ;  
            call        simb_P        ; P 
            movlw       0x30          ;    ,   0 
            movwf       Reg_tmp1      ; -//-
            movf        Tens,W        ; -//-
            call        TABL_dig      ; -//-
            xorwf       Reg_tmp1,F    ; -//-
            skpnz                     ; -//-
            movlw       0x20          ; -//-
            call        LCD_dig       ;  
            movf        Ones,W        ;   W  Ones
            call        TABL_dig      ;     Ones 666
            call        LCD_dig       ;  
            call        simb_proc     ; %
            return

UST_Pl      btfsc       DAT_ENC       ;            
            goto        Pl_UP         ; -//-
            btfss       DAT_ENC       ; -//-
            goto        Pl_DOWN       ; -//-

Pl_UP       bcf         STATUS, Z     ;   Z
            movlw       .99           ;        99%
            xorwf       P_l,W         ;    P_l
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        Pl_UPs        ;     1
            goto        ENC           ;   (     99)

Pl_DOWN     bcf         STATUS, Z     ;   Z
            movlw       0x00          ;       0
            xorwf       P_l,W         ;    P_l
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        Pl_DOWNs      ;     1
            goto        ENC           ;   (     0)

Pl_UPs      incf        P_l,F         ;   P_l
            goto        OUTPUT_Pl     ;           

Pl_DOWNs    decf        P_l,F         ;   P_l
            goto        OUTPUT_Pl     ;           

;           
OUTPUT_Tl   clrf        Reg_tmpH      ;   Reg_tmpH
            movf        T_l,W         ;   Reg_tmpL   T_l
            movwf       Reg_tmpL      ; -//-
            movwf       Reg_T_USTl    ;     Reg_T_USTl      
            call        TRANSFORMER_dig ;
            movlw       0xCB          ;      ( 0xC0 -  ) 666
            call        LCD_com       ;  
            call        simb_t        ; t 666
            movlw       0x30          ;    ,   0 
            movwf       Reg_tmp1      ; -//-
            movf        Hund,W        ; -//-
            call        TABL_dig      ; -//-
            xorwf       Reg_tmp1,F    ; -//-
            skpnz                     ; -//-
            movlw       0x20          ; -//-
            call        LCD_dig       ;  
            movf        Tens,W        ;   W  Tens
            call        TABL_dig      ;     Tens
            call        LCD_dig       ;  
            movf        Ones,W        ;   W  Ones
            call        TABL_dig      ;     Ones
            call        LCD_dig       ;  
            return

;           ,      
OUTPUT_Pl   clrf        Reg_tmpH      ;  Reg_tmpH
            movf        P_l,W         ;   Reg_tmpL   P_l
            movwf       Reg_tmpL      ; -//-
            movwf       CCPR1L        ;          
            call        TRANSFORMER_dig ;
            movlw       0xCB          ;      ( 0xC0 -  ) 666
            call        LCD_com       ;  
            call        simb_P        ; P
            movlw       0x30          ;    ,   0 
            movwf       Reg_tmp1      ; -//-
            movf        Tens,W        ; -//-
            call        TABL_dig      ; -//-
            xorwf       Reg_tmp1,F    ; -//-
            skpnz                     ; -//-
            movlw       0x20          ; -//-
            call        LCD_dig       ;  
            movf        Ones,W        ;   W  Ones
            call        TABL_dig      ;     Ones
            call        LCD_dig       ;  
            call        simb_proc     ; % 666
            return

ONOFFh      btfsc       DAT_ENC       ;         -   
            goto        ONh           ; -//-
            btfss       DAT_ENC       ; -//-
            goto        OFFh          ; -//-

ONOFFl      btfsc       DAT_ENC       ;         -   
            goto        ONl           ; -//-
            btfss       DAT_ENC       ; -//-
            goto        OFFl          ; -//-

PRR         btfsc       DAT_ENC       ;         
            goto        PR_UP         ; -//-
            btfss       DAT_ENC       ; -//-
            goto        PR_DOWN       ; -//-

PR_UP       bcf         STATUS, Z     ;   Z
            movlw       .14           ;        14
            xorwf       Reg_tmp_PR,W  ;    Reg_tmp_PR
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        PR_UPs        ;   1  
            goto        ENC           ;   (     14)

PR_DOWN     bcf         STATUS, Z     ;   Z
            movlw       0x01          ;       1
            xorwf       Reg_tmp_PR,W  ;    Reg_tmp_PR
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        PR_DOWNs      ;   1  
            goto        ENC           ;   (     1)

PR_UPs      incf        Reg_tmp_PR,F  ;   Reg_tmp_PR
            goto        OUTPUT_PR     ;     

PR_DOWNs    decf        Reg_tmp_PR,F  ;   Reg_tmp_PR
            goto        OUTPUT_PR     ;     

;     
OUTPUT_PR   clrf        Reg_tmpH      ;  Reg_tmpH
            movf        Reg_tmp_PR,W  ;   Reg_tmpL  Reg_tmp_PR
            movwf       Reg_tmpL      ; -//-
            call        TRANSFORMER_dig ;
            movlw       0xA1          ;      ( 0x94 -  ) 666
            call        LCD_com       ;  
            movlw       0x30          ;    ,   0 
            movwf       Reg_tmp1      ; -//-
            movf        Tens,W        ; -//-
            call        TABL_dig      ; -//-
            xorwf       Reg_tmp1,F    ; -//-
            skpnz                     ; -//-
            movlw       0x20          ; -//-
            call        LCD_dig       ;  
            movf        Ones,W        ;   W  Ones
            call        TABL_dig      ;     Ones
            call        LCD_dig       ;  
            movf        Reg_tmp_PR,W  ;   W  Reg_tmp_PR
            goto        PR_info       ;    
            return


                           ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                           ;      ;
                           ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Button      bcf         INTCON, GIE   ;  
            bcf         ON_OFF_ENC_F  ;    
            movlw       .1            ;       (1s)
            movwf       Reg_1         ; -//- 
            movlw       .69           ; -//- 
            movwf       Reg_2         ; -//-
            movlw       .21           ; -//- 
            movwf       Reg_3         ; -//-
trc         decfsz      Reg_1, F
            goto        trc
            btfsc       ON_OFF_ENC    ;     
            goto        kursor_F      ;   ,       1 
            clrwdt
            decfsz      Reg_2, F
            goto        trc
            decfsz      Reg_3, F
            goto        trc
            call        BEEEP         ;   ,     1 
            goto        TPR           ;   

;      ,       1 
kursor_F    movlw       B'00000010'   ;    
            xorwf       TEMPS, F      ; -//-
            movlw       0xD4          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            btfsc       KURSOR        ;   ,  0 -   
            call        simb_k        ; k
            btfss       KURSOR        ;   ,  1 -   
            call        simb_pust     ;  
            return

;  
kursor_OUT  call        del_metka     ;  
            btfsc       kursor, 0     ;  0 ,    
            call        metka1       
            btfsc       kursor, 1     ;  1  
            call        metka2
            btfsc       kursor, 2     ;  2  
            call        metka3
            btfsc       kursor, 3     ;  3  
            call        metka4
            btfsc       kursor, 4     ;  4  
            call        metka5
            btfsc       kursor, 5     ;  5  
            call        metka6
            btfsc       kursor, 6     ;  6  
            call        metka7
            bcf         ON_OFF_ENC_F  ;    
            bcf         INC_F         ;    
            bsf         INTCON, GIE   ;  
            return


T_UST       bsf         SEC_PAUS      ;     
            call        OUT_T_UST     ;      
            call        SEC_INC       ;  +1     
            movlw       .34           ;    1     
            movwf       Reg_tmp_TMR   ; -//- 
mnj         call        OUT_T_h       ;      
            call        OUT_T_l       ;      
            btfss       ON_OFF_ENC    ;   
            goto        OFF           ;    ,    
            btfsc       AV_R_L        ;   AV_R_L
            goto        jjg           ;       ,       
            call        T_READ_h      ;       
            btfsc       PROPUSK       ; 999    PROPUSK,   0 (0-  )
            return                    ; 999 -//-
hhd         call        T_READ_h      ;       
            call        T_READ_h      ;       
            call        T_READ_h      ;       
            call        T_READ_h      ;       
            call        T_READ_h      ;       
            call        T_READ_h      ;       
            call        T_READ_h      ;       
            call        T_READ_h      ;       
            call        T_READ_h      ;       
            decfsz      Reg_tmp_TMR,F ;   ,     (1 )
            goto        mnj
            btfsc       SEC_PAUS      ;     
            goto        T_UST_P       ;   +1  (,      )
            return                    
jjg         call        T_READ_l      ;       ,       
            goto        hhd           ;  1  T_READ_h,   ,    T_READ_l
T_UST_P     movlw       .1            ;   +1  (,      )
            movwf       Reg_tmp_TMR   ; -//- 
            goto        mnj

;    ,    
OFF         call        OFFh          ;   
            bcf         PROPUSK       ; 999      (0-  )
            goto        Go            ;      


;       
OUT_T_UST   movwf       Reg_tmpL      ;   Reg_tmpL  
            movwf       Reg_T_USTh    ;   Reg_T_USTh  
            clrf        Reg_tmpH      ;  Reg_tmpH
            call        TRANSFORMER_dig
            movlw       0x94          ;      ( 0x94 -  )
            call        LCD_com       ;  
            movlw       0x30          ;    ,   0 
            movwf       Reg_tmp1      ; -//-
            movf        Hund,W        ; -//-
            call        TABL_dig      ; -//-
            xorwf       Reg_tmp1,F    ; -//-
            skpnz                     ; -//-
            movlw       0x20          ; -//-
            call        LCD_dig       ;  
            movf        Tens,W        ;   W  Tens
            call        TABL_dig      ;     Tens
            call        LCD_dig       ;  
            movf        Ones,W        ;   W  Ones
            call        TABL_dig      ;     Ones
            call        LCD_dig       ;  
            return

;       +1 
SEC_INC     incfsz      Reg_tmp4, F   ;   1  Reg_tmp4
            goto        SEC_OUT       ;   ,    
            incfsz      Reg_tmp5, F   ;   1  Reg_tmp5,   
SEC_OUT     movf        Reg_tmp4,W    ;   Reg_tmp4  Reg_tmpL
            movwf       Reg_tmpL      ; -//-
            movf        Reg_tmp5,W    ;   Reg_tmp5  Reg_tmpH
            movwf       Reg_tmpH      ; -//-
            call        TRANSFORMER_dig
            movlw       0x9A          ;      ( 0x94 -  )
            call        LCD_com       ;  
            movlw       0x30          ;    ,   0 
            movwf       Reg_tmp1      ; -//-
            movf        Hund,W        ; -//-
            call        TABL_dig      ; -//-
            xorwf       Reg_tmp1,F    ; -//-
            skpnz                     ; -//-
            goto        rrt           ;   ,   0,   
            call        LCD_dig       ;  
            movf        Tens,W        ;   W  Tens
            call        TABL_dig      ;     Tens
            call        LCD_dig       ;  
            movf        Ones,W        ;   W  Ones
            call        TABL_dig      ;     Ones
            call        LCD_dig       ;  
            return

rrt         call        simb_pust     ;  
            movlw       0x30          ;    ,   0      0 
            movwf       Reg_tmp1      ; -//-
            movf        Tens,W        ; -//-
            call        TABL_dig      ; -//-
            xorwf       Reg_tmp1,F    ; -//-
            skpnz                     ; -//-
            movlw       0x20          ; -//-
            call        LCD_dig       ;  
            movf        Ones,W        ;   W  Ones
            call        TABL_dig      ;     Ones
            call        LCD_dig       ;  
            return


;      ,  ,   
ress        clrf        Reg_tmp4      ;    
            clrf        Reg_tmp5      ; -//-  
            call        ON_PR         ;     
            call        ONh           ;   ,   
            movlw       0x97          ;      ( 0x94 -  )
            call        LCD_com       ;  
            call        simb_grad     ; "
            call        simb_pust     ; 777 simb_C        ; C
            call        simb_pust     ;  
            movlw       0x9D          ;      ( 0x94 -  )
            call        LCD_com       ;  
            call        simb_S        ; S
            call        simb_pust     ;  
            call        simb_P        ; P
            call        simb_r        ; r
            return


;       
T_READ_h ;     
            banksel     ADCON0        ;    ADCON0
            movlw       b'10010001'   ;   , RA2 - , Fosc/32 ()
            btfss       PORTC,RC0     ;   ,   
            movlw       b'10100001'   ;   , RA5 - , Fosc/32 ()
            movwf       ADCON0        ; -//-  
            banksel     ADCON1        ;    ADCON1
            movlw       b'10000000'   ;   
            movwf       ADCON1        ; -//- 
            bcf         STATUS,RP0    ;    0
            call        del_1ms       ;       
            bsf         ADCON0,2      ;   
            call        del_40mcs
            btfsc       ADCON0,2      ;  
            goto        $-1           ; 
            movfw       ADRESH        ;   
            movwf       Reg_tmpH      ;    
            banksel     ADRESL        ;    ADRESL
            movfw       ADRESL        ;   
            bcf         STATUS,RP0    ;    0
            movwf       Reg_tmpL      ;    

            bcf         STATUS, Z     ;   Z
            clrw                      ;  W (      Reg_tmpH)
            xorwf       Reg_tmpH, W   ;     Reg_tmpH   W
            btfss       STATUS, Z     ;    Z,  =1   W  Reg_tmpH      
            goto        T_DOWN_h      ;  ,  Reg_tmpH  0,       255 "C
            movf        Reg_tmpL,W    ;        W 
;           bcf         STATUS, Z     
            bcf         STATUS, C     ;   C
            subwf       Reg_T_USTh, W ;  Reg_T_USTh  W
;           btfsc       STATUS, Z
;           return
            btfss       STATUS, C     ;    C,  =1  ,  =0  
            goto        T_DOWN_h      ; -//- 
            goto        T_UP_h        ; -//- 

;       ,   ,    99%
T_UP_h      bcf         STATUS, Z     ;   Z
            bcf         PROPUSK       ; 999      (0-  )
            movfw       Reg_T_TEMPhh  ;   Reg_T_TEMPhh    
;           movlw       .99           ;         99%
            xorwf       Reg_T_TEMPh,W ;    Reg_T_TEMPh
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        T_UPs_h       ;    ,    99%
            return                    ;   (     99%)


;       ,   ,    0%
T_DOWN_h    bcf         SEC_PAUS      ;     
            btfsc       PROPUSK       ; 999    PROPUSK,   0 (0-  )
            return                    ; 999 -//-
            bcf         STATUS, Z     ;   Z
            movlw       0x00          ;       0%
            xorwf       Reg_T_TEMPh,W ;    Reg_T_TEMPh
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        T_DOWNs_h     ;    ,    0%
            clrw                      ;   W
            movwf       CCPR2L        ;    ,   ,   0%
            return                    ;  ,   0%

;    
T_UPs_h     incf        Reg_T_TEMPh,F ;   1  Reg_T_TEMPh
            movf        Reg_T_TEMPh,W ;   W  Reg_T_TEMPh
            movwf       CCPR2L        ;    
            return

;    
T_DOWNs_h   decf        Reg_T_TEMPh,F ;   1  Reg_T_TEMPh
            clrf        Reg_T_TEMPh   ;  Reg_T_TEMPh,          (    )
            movf        Reg_T_TEMPh,W ;   W  Reg_T_TEMPh
            movwf       CCPR2L        ;    
            return

OUT_T_h  ;       
            banksel     ADCON0        ;    ADCON0
            movlw       b'10010001'   ;   , RA2 - , Fosc/32 ()
            btfss       PORTC,0       ;   ,   
            movlw       b'10100001'   ;   , RA5 - , Fosc/32 ()
            movwf       ADCON0        ; -//-  
            banksel     ADCON1        ;    ADCON1
            movlw       b'10000000'   ;   
            movwf       ADCON1        ; -//- 
            bcf         STATUS,RP0    ;    0
            call        del_1ms       ;       
            bsf         ADCON0,2      ;   
            call        del_40mcs
            btfsc       ADCON0,2      ;  
            goto        $-1           ; 
            movfw       ADRESH        ;   
            movwf       Reg_tmpH      ;    
            banksel     ADRESL        ;    ADRESL
            movfw       ADRESL        ;   
            bcf         STATUS,RP0    ;    0
            movwf       Reg_tmpL      ;    
            call        TRANSFORMER_dig ;       
            movlw       0x81          ;      ( 0x80 -  )
            call        LCD_com       ;   
            movf        Thou,W        ;   W  Thou
            btfsc       Thou,0        ;     ,  1,   
            goto        overflowTh    ;   ---
            movf        Reg_tmpH,W    ;        W 
            bcf         STATUS, C     ;   C
            movlw       b'00000010'   ;      Reg_tmpH
            subwf       Reg_tmpH, W   ;  Reg_tmpH  W
            btfsc       STATUS, C     ;    C,  =1   (   512"),  =0    (   512")
            goto        overflowTh    ;   ---,    512"
            movlw       0x30          ;    ,   0 
            movwf       Reg_tmp1      ; -//-
            movf        Hund,W        ; -//-
            call        TABL_dig      ; -//-
            xorwf       Reg_tmp1,F    ; -//-
            skpnz                     ; -//-
            movlw       0x20          ; -//-
            call        LCD_dig       ;  
            movf        Tens,W        ;   W  Tens
            call        TABL_dig      ;     Tens
            call        LCD_dig       ;  
            movf        Ones,W        ;   W  Ones
            call        TABL_dig      ;     Ones
            call        LCD_dig       ;  
            return
overflowTh  call        simb_tire     ; - ( ---  1024)
            call        simb_tire     ; -
            call        simb_tire     ; -
            return

;       
T_READ_l ;     
            banksel     ADCON0        ;    ADCON0
            movlw       b'10011001'   ;   , RA3 - , Fosc/32
            movwf       ADCON0        ; -//-  
            banksel     ADCON1        ;    ADCON1
            movlw       b'10000000'   ;   
            movwf       ADCON1        ; -//- 
            bcf         STATUS,RP0    ;    0
            call        del_1ms       ;       
            bsf         ADCON0,2      ;   
            call        del_40mcs
            btfsc       ADCON0,2      ;  
            goto        $-1           ; 
            movfw       ADRESH        ;   
            movwf       Reg_tmpH      ;    
            banksel     ADRESL        ;    ADRESL
            movfw       ADRESL        ;   
            bcf         STATUS,RP0    ;    0
            movwf       Reg_tmpL      ;    

            bcf         STATUS, Z     ;   Z
            clrw                      ;  W (      Reg_tmpH)
            xorwf       Reg_tmpH, W   ;     Reg_tmpH   W
            btfss       STATUS, Z     ;    Z,  =1   W  Reg_tmpH      
            goto        T_DOWN_l      ;  ,  Reg_tmpH  0,       255 "C
            movf        Reg_tmpL,W    ;        W 
;           bcf         STATUS, Z     
            bcf         STATUS, C
            subwf       Reg_T_USTl, W ;  Reg_T_USTl  W
;           btfsc       STATUS, Z
;           return
            btfss       STATUS, C     ;    C,  =1  ,  =0  
            goto        T_DOWN_l      ; -//- 
            goto        T_UP_l        ; -//- 

;       ,   ,    99%
T_UP_l      bcf         STATUS, Z     ;   Z
            movfw       Reg_T_TEMPll  ;   Reg_T_TEMPll    
;           movlw       .99           ;         99%
            xorwf       Reg_T_TEMPl,W ;    Reg_T_TEMPl
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        T_UPs_l       ;    ,    99%
            return                    ;   (     99%)

;       ,   ,    0%
T_DOWN_l    bcf         STATUS, Z     ;   Z
            movlw       0x00          ;       0%
            xorwf       Reg_T_TEMPl,W ;    Reg_T_TEMPl
            btfss       STATUS, Z     ;    Z,   1 (1= )
            goto        T_DOWNs_l     ;    ,    0%
            clrw                      ;   W
            movwf       CCPR1L        ;    ,   ,   0%
            return                    ;  ,   0%

;    
T_UPs_l     incf        Reg_T_TEMPl,F ;   1  Reg_T_TEMPl
            movf        Reg_T_TEMPl,W ;   W  Reg_T_TEMPl
            movwf       CCPR1L        ;    
            return

;    
T_DOWNs_l   decf        Reg_T_TEMPl,F ;   1  Reg_T_TEMPl
            clrf        Reg_T_TEMPl   ;  Reg_T_TEMPl,          (    )
            movf        Reg_T_TEMPl,W ;   W  Reg_T_TEMPl
            movwf       CCPR1L        ;    
            return

OUT_T_l  ;       
            banksel     ADCON0        ;    ADCON0
            movlw       b'10011001'   ;   , RA3 - , Fosc/32
            movwf       ADCON0        ; -//-  
            banksel     ADCON1        ;    ADCON1
            movlw       b'10000000'   ;   
            movwf       ADCON1        ; -//- 
            bcf         STATUS,RP0    ;    0
            call        del_1ms       ;       
            bsf         ADCON0,2      ;   
            call        del_40mcs
            btfsc       ADCON0,2      ;  
            goto        $-1           ; 
            movfw       ADRESH        ;   
            movwf       Reg_tmpH      ;    
            banksel     ADRESL        ;    ADRESL
            movfw       ADRESL        ;   
            bcf         STATUS,RP0    ;    0
            movwf       Reg_tmpL      ;    
            call        TRANSFORMER_dig ;       
            movlw       0xC1          ;      ( 0xC0 -  )
            call        LCD_com       ;   
            movf        Thou,W        ;   W  Thou
            btfsc       Thou,0        ;     ,  1,   
            goto        overflowTl    ;   ---
            movf        Reg_tmpH,W    ;        W 
            bcf         STATUS, C     ;   C
            movlw       b'00000010'   ;      Reg_tmpH
            subwf       Reg_tmpH, W   ;  Reg_tmpH  W
            btfsc       STATUS, C     ;    C,  =1   (   512"),  =0    (   512")
            goto        overflowTl    ;   ---,    512"
            movlw       0x30          ;    ,   0 
            movwf       Reg_tmp1      ; -//-
            movf        Hund,W        ; -//-
            call        TABL_dig      ; -//-
            xorwf       Reg_tmp1,F    ; -//-
            skpnz                     ; -//-
            movlw       0x20          ; -//-
            call        LCD_dig       ;  
            movf        Tens,W        ;   W  Tens
            call        TABL_dig      ;     Tens
            call        LCD_dig       ;  
            movf        Ones,W        ;   W  Ones
            call        TABL_dig      ;     Ones
            call        LCD_dig       ;  
            return
overflowTl  call        simb_tire     ; - ( ---  1024)
            call        simb_tire     ; -
            call        simb_tire     ; -
            return


                           ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                           ;       ;
                           ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
TRANSFORMER_dig
            movf        Reg_tmpL,W    ;          
            movwf       bin2          ;  bin2               
            movf        Reg_tmpH,W    ;           
            movwf       bin1          ;  bin1
;bin2 =    
;bin1 =    
;bcd3 (   ) = 
;bcd3 (   ) = 
;bcd2 (   ) = 
;bcd2 (   ) = 
;bcd1 (   ) =                                            
            movlw       .16 
            movwf       ctr 
            clrf        bcd1 
            clrf        bcd2 
            clrf        bcd3 
            goto        start 
adjdec      movlw       0x33 
            addwf       bcd1,f 
            addwf       bcd2,f 
            addwf       bcd3,f 
            movlw       0x03 
            btfss       bcd1,3 
            subwf       bcd1,f 
            btfss       bcd2,3 
            subwf       bcd2,f 
            btfss       bcd3,3 
            subwf       bcd3,f 
            movlw       0x30 
            btfss       bcd1,7 
            subwf       bcd1,f 
            btfss       bcd2,7 
            subwf       bcd2,f 
            btfss       bcd3,7 
            subwf       bcd3,f 
start       rlf         bin2,f 
            rlf         bin1,f 
            rlf         bcd3,f 
            rlf         bcd2,f 
            rlf         bcd1,f 
            decfsz      ctr,f 
            goto        adjdec        ;                    
            movf        bcd1,w        ;            
            movwf       TenK          ;   
            swapf       bcd2,w
            movwf       Thou          ;  
            movf        bcd2,w
            movwf       Hund          ;  
            swapf       bcd3,w
            movwf       Tens          ;  
            movf        bcd3,w
            movwf       Ones          ; 
            return 


                           ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                           ;     HD44780;
                           ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;  
LCD_com     movwf       LCD_tmp           
            call        E_0
            call        RS_0
            call        LCD_load
            return     

;   
LCD_dig     movwf       LCD_tmp           
            call        E_0
            call        RS_1
            call        LCD_load
            return 

;      
LCD_load    btfsc       LCD_tmp,7
            D7_1      
            btfss       LCD_tmp,7
            D7_0
            btfsc       LCD_tmp,6
            D6_1      
            btfss       LCD_tmp,6
            D6_0
            btfsc       LCD_tmp,5
            D5_1      
            btfss       LCD_tmp,5
            D5_0
            btfsc       LCD_tmp,4
            D4_1      
            btfss       LCD_tmp,4
            D4_0
            btfsc       LCD_tmp,3
            D3_1      
            btfss       LCD_tmp,3
            D3_0
            btfsc       LCD_tmp,2
            D2_1      
            btfss       LCD_tmp,2
            D2_0
            btfsc       LCD_tmp,1
            D1_1      
            btfss       LCD_tmp,1
            D1_0
            btfsc       LCD_tmp,0
            D0_1      
            btfss       LCD_tmp,0
            D0_0
            call        E_1
            call        del_1ms
            call        E_0
            call        del_1ms
            return 

;  E, RS     ( LCD_tmp1,     PORTA)    --
E_0         bsf         LCD_tmp1,4
            bcf         E_LCD
            movf        LCD_tmp1,W    
            movwf       PORTA         
            return
E_1         bsf         E_LCD
            movf        LCD_tmp1,W    
            movwf       PORTA        
            return
RS_0        bcf         RS_LCD
            movf        LCD_tmp1,W    
            movwf       PORTA        
            return
RS_1        bsf         RS_LCD
            movf        LCD_tmp1,W    
            movwf       PORTA         
            return

;            
UST_Pl_max  call        BEEP          ;        
            movlw       0x80          ;      ( 0x80 -  ) 666
            call        LCD_com       ;   
            call        simb_down     ;  
            call        simb_P        ; P
            call        simb_m        ; m
            call        simb_a        ; a
            call        simb_x        ; x
            call        simb_equ      ; 555 simb_tire     ; -
            call        READ_EEP      ;     EEPROM
            call        OUTPUT_Pll    ;           ( )
            call        del_1s        ;  1 
            call        del_1s        ;  1    888
UST_Plll    bsf         SERV_UST_l    ;         
            call        ENC           ;     
            btfsc       ON_OFF_ENC    ;   ,    EEPROM,     (  )
            goto        UST_Plll      ;      
;    EEPROM         
            clrwdt
            banksel     EEADR         ;    EEADR
            movlw       7             ;   EEPROM- 
            movwf       EEADR         ; -//-
            bcf         STATUS,RP0    ;  0- 
            bcf         STATUS,RP1    ; -//-
            movf        Reg_T_TEMPll,W ;  , Reg_T_TEMPll
            call        EEP_WRITE
            bcf         SERV_UST_l    ;         

            call        BEEP          ;        
            movlw       0x80          ;      ( 0x80 -  ) 666
            call        LCD_com       ;   
            call        simb_up       ;  
            call        OUTPUT_Phh    ;           ( )
            call        del_1s        ;  1 
            call        del_1s        ;  1    888

UST_Phhh    bsf         SERV_UST_h    ;         
            call        ENC           ;     
            btfsc       ON_OFF_ENC    ;   ,    EEPROM,     (  )
            goto        UST_Phhh      ;      
;    EEPROM         
            clrwdt
            banksel     EEADR         ;    EEADR
            movlw       8             ;   EEPROM- 
            movwf       EEADR         ; -//-
            bcf         STATUS,RP0    ;  0- 
            bcf         STATUS,RP1    ; -//-
            movf        Reg_T_TEMPhh,W ;  , Reg_T_TEMPhh
            call        EEP_WRITE
            bcf         SERV_UST_h    ;         
            return

;    
Symbol      movlw       0x80          ;      ( 0x80 -  ) 666
            call        LCD_com       ;   
            call        simb_up       ;  
            movlw       0x84          ;      ( 0x80 -  ) 666
            call        LCD_com       ;   
            call        simb_grad     ; "
            call        simb_pust     ; 777 simb_C        ; C
            movlw       0xC0          ;      ( 0x0 -  ) 666
            call        LCD_com       ;   
            call        simb_down     ;  
            movlw       0xC4          ;      ( 0xC0 -  ) 666
            call        LCD_com       ;   
            call        simb_grad     ; "
            call        simb_pust     ; 777 simb_C        ; C
            return

;     ,            ( )
ABTh        movlw       0x86          ; 777 7          ;      ( 0x80 -  ) 666
            call        LCD_com       ;  
            call        simb_A        ; A
            call        simb_U        ; U 555 B
            call        simb_T        ; T
            call        simb_O        ; 777
            bsf         AV_R_H        ;   (     )
            call        READs         ; 999             
            call        OUTPUT_Th     ;            
            return

;     ,            ( )
RUCHh       movlw       0x86          ; 777 7          ;      ( 0x80 -  ) 666
            call        LCD_com       ;  
            call        simb_H        ; 555 P
            call        simb_A        ; 555 
            call        simb_N        ; 555 
            call        simb_D        ;
            bcf         AV_R_H        ;   (     )
            call        OUTPUT_Ph     ;            
            return

;     ,            ( )
ABTl        movlw       0xC6          ; 777 7          ;      ( 0xC0 -  ) 666
            call        LCD_com       ;  
            call        simb_A        ; A
            call        simb_U        ; U 555 B
            call        simb_T        ; T
            call        simb_O        ; 777
            bsf         AV_R_L        ;   (     )
            call        READs         ; 999             
            call        OUTPUT_Tl     ;            
            return

;     ,            ( )
RUCHl       movlw       0xC6          ; 777 7          ;      ( 0xC0 -  ) 666
            call        LCD_com       ;  
            call        simb_H        ; 555 P
            call        simb_A        ; 555 
            call        simb_N        ; 555 
            call        simb_D        ;
            bcf         AV_R_L        ;   (     )
            call        OUTPUT_Pl     ;            
            return

;     ,     
ONh         movlw       0x90          ;      ( 0x80 -  ) 666
            call        LCD_com       ;   
            call        simb_O        ; 555 B
            call        simb_N        ; 555 
            call        simb_pust     ; 555 
            call        simb_pust     ;  
            movlw       b'00001100'   ;   CCP2
            movwf       CCP2CON       ; -//-
            bsf         ON_OFF_H      ;     
            return

;     ,     
OFFh        movlw       0x90          ;      ( 0x80 -  ) 666
            call        LCD_com       ;   
            call        simb_O        ; 555 
            call        simb_F        ; 555 T
            call        simb_F        ; 555 
            call        simb_pust     ; 555 
            movlw       b'00000000'   ;   CCP2
            movwf       CCP2CON       ; -//-
            bcf         PORTC,1       ;   
            bcf         ON_OFF_H      ;     
            return

;     ,     
ONl         movlw       0xD0          ;      ( 0xC0 -  ) 666
            call        LCD_com       ;   
            call        simb_O        ; 555 B
            call        simb_N        ; 555 
            call        simb_pust     ; 555 
            call        simb_pust     ;  
            movlw       b'00001100'   ;   CCP1
            movwf       CCP1CON       ; -//-
            bsf         ON_OFF_L      ;     
            return

;     ,     
OFFl        movlw       0xD0          ;      ( 0xC0 -  ) 666
            call        LCD_com       ;  
            call        simb_O        ; 555 
            call        simb_F        ; 555 T
            call        simb_F        ; 555 
            call        simb_pust     ; 555 
            movlw       b'00000000'   ;   CCP1
            movwf       CCP1CON       ; -//-
            bcf         PORTC,2       ;   
            bcf         ON_OFF_L      ;     
            return

;     
T_PROF      movlw       0x95          ;      ( 0x94 -  ) 666
            call        LCD_com       ;  
            call        simb_T        ; T
            call        simb_E        ; 
            call        simb_M        ; 555 P
            call        simb_P        ; 
            call        simb_tire     ; 
            call        simb_P        ; 555 
            call        simb_R        ; 555 P
            call        simb_O        ; 
            call        simb_F        ; F 555 
            call        simb_I        ; 555 
            call        simb_L        ; 555 
            call        simb_E        ; 555 
            return

;        
ON_PR       movlw       0xA4          ;      ( 0x94 -  ) 666
            call        LCD_com       ;   
            call        simb_R        ; 555 
            call        simb_U        ; 555 
            call        simb_N        ; 555 C
            call        simb_pust     ; 555 
            return

;        
OFF_PR      movlw       0xA4          ;      ( 0x94 -  ) 666
            call        LCD_com       ;   
            call        simb_S        ; 555 C
            call        simb_T        ; T
            call        simb_O        ; 
            call        simb_P        ; 555 
            return

;  1 
T_PROF_1    call        Pb            ;     Pb+
            call        Tmax          ;     Tmax-
            movlw       0xE0          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_1        ; 1
            call        simb_9        ; 9
            call        simb_0        ; 0
            call        simb_grad     ; "
            call        simb_pust     ; 777 C
            return

;  2 
T_PROF_2    call        Pb            ;     Pb+
            call        Tmax          ;     Tmax-
            movlw       0xE0          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_1        ; 1
            call        simb_9        ; 9
            call        simb_5        ; 5
            call        simb_grad     ; "
            call        simb_pust     ; 777 C
            return

;  3 
T_PROF_3    call        Pb            ;     Pb+
            call        Tmax          ;     Tmax-
            movlw       0xE0          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_2        ; 2
            call        simb_0        ; 0
            call        simb_0        ; 0
            call        simb_grad     ; "
            call        simb_pust     ; 777 C
            return

;  4 
T_PROF_4    call        Pb            ;     Pb+
            call        Tmax          ;     Tmax-
            movlw       0xE0          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_2        ; 2
            call        simb_0        ; 0
            call        simb_5        ; 5
            call        simb_grad     ; "
            call        simb_pust     ; 777 C
            return

;  5 
T_PROF_5    call        Pb            ;     Pb+
            call        Tmax          ;     Tmax-
            movlw       0xE0          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_2        ; 2
            call        simb_1        ; 1
            call        simb_0        ; 0
            call        simb_grad     ; "
            call        simb_pust     ; 777 C
            return

;  6 
T_PROF_6    call        Pb            ;     Pb+
            call        Tmax          ;     Tmax-
            movlw       0xE0          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_2        ; 2
            call        simb_1        ; 1
            call        simb_5        ; 5
            call        simb_grad     ; "
            call        simb_pust     ; 777 C
            return

;  7 
T_PROF_7    call        Pb            ;     Pb+
            call        Tmax          ;     Tmax-
            movlw       0xE0          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_2        ; 2
            call        simb_2        ; 2
            call        simb_0        ; 0
            call        simb_grad     ; "
            call        simb_pust     ; 777 C
            return

;  8 
T_PROF_8    call        noPb          ;     Pb-
            call        Tmax          ;     Tmax-
            movlw       0xE0          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_2        ; 2
            call        simb_2        ; 2
            call        simb_5        ; 5
            call        simb_grad     ; "
            call        simb_pust     ; 777 C
            return

;  9 
T_PROF_9    call        noPb          ;     Pb-
            call        Tmax          ;     Tmax-
            movlw       0xE0          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_2        ; 2
            call        simb_3        ; 3
            call        simb_0        ; 0
            call        simb_grad     ; "
            call        simb_pust     ; 777 C
            return

;  10 
T_PROF_10   call        noPb          ;     Pb-
            call        Tmax          ;     Tmax-
            movlw       0xE0          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_2        ; 2
            call        simb_3        ; 3
            call        simb_5        ; 5
            call        simb_grad     ; "
            call        simb_pust     ; 777 C
            return

;  11 
T_PROF_11   call        noPb          ;     Pb-
            call        Tmax          ;     Tmax-
            movlw       0xE0          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_2        ; 2
            call        simb_4        ; 4
            call        simb_0        ; 0
            call        simb_grad     ; "
            call        simb_pust     ; 777 C
            return

;  12 
T_PROF_12   call        noPb          ;     Pb-
            call        Tmax          ;     Tmax-
            movlw       0xE0          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_2        ; 2
            call        simb_4        ; 4
            call        simb_5        ; 5
            call        simb_grad     ; "
            call        simb_pust     ; 777 C
            return

;  13 
T_PROF_13   call        noPb          ;     Pb-
            call        Tmax          ;     Tmax-
            movlw       0xE0          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_2        ; 2
            call        simb_5        ; 5
            call        simb_0        ; 0
            call        simb_grad     ; "
            call        simb_pust     ; 777 C
            return

;  14 
T_PROF_14   call        noPb          ;     Pb-
            call        Tmax          ;     Tmax-
            movlw       0xE0          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_2        ; 2
            call        simb_5        ; 5
            call        simb_5        ; 5
            call        simb_grad     ; "
            call        simb_pust     ; 777 C
            return

;     Pb+
Pb          movlw       0xD7          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_P        ; P
            call        simb_b        ; 
            call        simb_plus     ; +
            return

;     Pb-
noPb        movlw       0xD7          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_P        ; P
            call        simb_b        ; 
            call        simb_tire     ; -
            return

;     Tmax-
Tmax        movlw       0xDB          ;      ( 0xD4 -  ) 666
            call        LCD_com       ;   
            call        simb_T        ; T
            call        simb_m        ; m
            call        simb_a        ; a
            call        simb_x        ; x
            call        simb_equ      ; 777 tire     ; -
            return

;   
del_metka   movlw       0x85          ; 777 6          ;      ( 0x80 -  ) 666
            call        LCD_com       ;   
            call        simb_pust     ;  
            movlw       0x8A          ;      ( 0x80 -  ) 666
            call        LCD_com       ;   
            call        simb_pust     ;  
            movlw       0x8F          ;      ( 0x80 -  ) 666
            call        LCD_com       ;   
            call        simb_pust     ;  
            movlw       0xC5          ; 777 6          ;      ( 0xC0 -  ) 666
            call        LCD_com       ;   
            call        simb_pust     ;  
            movlw       0xCA          ;      ( 0xC0 -  ) 666
            call        LCD_com       ;   
            call        simb_pust     ;  
            movlw       0xCF          ;      ( 0xC0 -  ) 666
            call        LCD_com       ;   
            call        simb_pust     ;  
            movlw       0x94          ;      ( 0x94 -  ) 666
            call        LCD_com       ;   
            call        simb_pust     ;  
            return

;   
metka1      movlw       0x85          ; 777 6          ;      ( 0x80 -  ) 666
            call        LCD_com       ;   
            call        simb_kurs     ; >
            return

;   
metka2      movlw       0x8A          ;      ( 0x80 -  ) 666
            call        LCD_com       ;   
            call        simb_kurs     ; >
            return

;   
metka3      movlw       0x8F          ;      ( 0x80 -  ) 666
            call        LCD_com       ;   
            call        simb_kurs     ; >
            return

;   
metka4      movlw       0xC5          ; 777 6          ;      ( 0xC0 -  ) 666
            call        LCD_com       ;   
            call        simb_kurs     ; >
            return

;   
metka5      movlw       0xCA          ;      ( 0xC0 -  ) 666
            call        LCD_com       ;   
            call        simb_kurs     ; >
            return

;   
metka6      movlw       0xCF          ;      ( 0xC0 -  ) 666
            call        LCD_com       ;   
            call        simb_kurs     ; >
            return

;   
metka7      movlw       0x94          ;      ( 0x94 -  ) 666
            call        LCD_com       ;   
            call        simb_kurs     ; >
            return


;   
BEEP        movlw       .120          ;    
            movwf       Reg_tmp3
bss         call        del_500mcs
            BEEP_ON
            call        del_500mcs
            BEEP_OFF
            decfsz      Reg_tmp3,F
            goto        bss
            return 

;   
BEEEP       movlw       b'00000000'   ;   CCP2
            movwf       CCP2CON       ; -//-
            bcf         PORTC,1       ;       
            call        BEEP
            call        BEEP
            call        BEEP
            call        BEEP
            call        BEEP
            call        BEEP
            call        BEEP
            call        BEEP
            call        BEEP
            call        BEEP
            call        BEEP
            call        BEEP
            movlw       b'00001100'   ;   CCP2,      
            movwf       CCP2CON       ; -//-
            return


;    EEPROM     
READ_EEP    
            clrwdt
            movlw       0             ;   EEPROM-   00h
            call        EEP_READ
            movwf       Reg_tmp_PR    ; W -> Reg_tmp_PR
;    EEPROM   
            movlw       1             ;   EEPROM-   01h
            call        EEP_READ
            movwf       kursor        ; W -> kursor
;    EEPROM  _, _
            movlw       2             ;   EEPROM-   02h
            call        EEP_READ
            movwf       Temmp         ; W -> Temmp
;    EEPROM        
            clrwdt
            movlw       3             ;   EEPROM-   03h
            call        EEP_READ
            movwf       T_h           ; W -> T_h
;    EEPROM        
            movlw       4             ;   EEPROM-   04h
            call        EEP_READ
            movwf       P_h           ; W -> P_h
;    EEPROM        
            movlw       5             ;   EEPROM-   05h
            call        EEP_READ
            movwf       T_l           ; W -> T_l
;    EEPROM        
            clrwdt
            movlw       6             ;   EEPROM-   06h
            call        EEP_READ
            movwf       P_l           ; W -> P_l
;    EEPROM         
READs       movlw       7             ; 999   EEPROM-   07h
            call        EEP_READ
            movwf       Reg_T_TEMPll  ; W -> Reg_T_TEMPll
;    EEPROM         
            movlw       8             ;   EEPROM-   08h
            call        EEP_READ
            movwf       Reg_T_TEMPhh  ; W -> Reg_T_TEMPhh
            return
EEP_READ    
            banksel     EEADR         ;    EEADR
            movwf       EEADR         ;  EEPROM-
            banksel     EECON1        ;    EECON1
            bcf         EECON1,EEPGD  ;   EEPROM
            bsf         EECON1,RD     ;  
            banksel     EEDATA        ;    EEDATA
            movf        EEDATA,W      ;     W
            bcf         STATUS,RP0    ;    0
            bcf         STATUS,RP1    ; -//-
            return

;    EEPROM     
WRITE_EEP
            clrwdt
            banksel     EEADR         ;    EEADR
            movlw       0             ;   EEPROM- 
            movwf       EEADR         ; -//-
            bcf         STATUS,RP0    ;  0- 
            bcf         STATUS,RP1    ; -//-
            movf        Reg_tmp_PR,W  ;  ,  Reg_tmp_PR
            call        EEP_WRITE
;    EEPROM   
            banksel     EEADR         ;    EEADR
            movlw       1             ;   EEPROM- 
            movwf       EEADR         ; -//-
            bcf         STATUS,RP0    ;  0- 
            bcf         STATUS,RP1    ; -//-
            movf        kursor,W      ;  , kursor
            call        EEP_WRITE
;    EEPROM  _, _
            banksel     EEADR         ;    EEADR
            movlw       2             ;   EEPROM- 
            movwf       EEADR         ; -//-
            bcf         STATUS,RP0    ;  0- 
            bcf         STATUS,RP1    ; -//-
            movf        Temmp,W       ;  , Temmp
            call        EEP_WRITE
;    EEPROM        
            clrwdt
            banksel     EEADR         ;    EEADR
            movlw       3             ;   EEPROM- 
            movwf       EEADR         ; -//-
            bcf         STATUS,RP0    ;  0- 
            bcf         STATUS,RP1    ; -//-
            movf        T_h,W         ;  , T_h
            call        EEP_WRITE
;    EEPROM        
            banksel     EEADR         ;    EEADR
            movlw       4             ;   EEPROM- 
            movwf       EEADR         ; -//-
            bcf         STATUS,RP0    ;  0- 
            bcf         STATUS,RP1    ; -//-
            movf        P_h,W         ;  , P_h
            call        EEP_WRITE
;    EEPROM        
            banksel     EEADR         ;    EEADR
            movlw       5             ;   EEPROM- 
            movwf       EEADR         ; -//-
            bcf         STATUS,RP0    ;  0- 
            bcf         STATUS,RP1    ; -//-
            movf        T_l,W         ;  , T_l
            call        EEP_WRITE
;    EEPROM        
            clrwdt
            banksel     EEADR         ;    EEADR
            movlw       6             ;   EEPROM- 
            movwf       EEADR         ; -//-
            bcf         STATUS,RP0    ;  0- 
            bcf         STATUS,RP1    ; -//-
            movf        P_l,W         ;  , P_l
            call        EEP_WRITE
            return
EEP_WRITE
            banksel     EEDATA        ;    EEDATA
            movwf       EEDATA        ;   EEDATA
            banksel     EECON1        ;    EECON1 
            bcf         EECON1,EEPGD  ;   EEPROM
            bsf         EECON1,WREN   ; ""  
            movlw       0x55          ;   
            movwf       EECON2        ; -//-
            movlw       0xAA          ; -//-
            movwf       EECON2        ; -//-
            bsf         EECON1,WR     ; "  "   
            banksel     EECON1        ;    EECON1
            btfsc       EECON1,WR     ;    ?
            goto        $-1           ;   ,    
            bcf         EECON1,WREN   ; ""  
            bcf         STATUS,RP0    ;  0- 
            bcf         STATUS,RP1    ; -//-
            return

del_500mcs  movlw       .151
            movwf       Reg_tmp1
            movlw       .3
            movwf       Reg_tmp2
wr          decfsz      Reg_tmp1,F
            goto        wr
            decfsz      Reg_tmp2,F
            goto        wr
            clrwdt
            return

del_40mcs   movlw       .53
            movwf       Reg_tmp1
wr4         decfsz      Reg_tmp1, F
            goto        wr4
            nop
            return

;  1 ms
del_1ms     movlw       .46
            movwf       Reg_tmp1
            movlw       .6
            movwf       Reg_tmp2
wr2         decfsz      Reg_tmp1, F
            goto        wr2
            decfsz      Reg_tmp2, F
            goto        wr2
            clrwdt
            return     

;  5 ms 
del_5ms     call        del_1ms
            call        del_1ms
            call        del_1ms
            call        del_1ms
            call        del_1ms
            return

;  50 ms
del_50ms    movlw       .186
            movwf       Reg_tmp1
            movlw       .4
            movwf       Reg_tmp2
            movlw       .2
            movwf       Reg_tmp3
wr3         decfsz      Reg_tmp1, F
            goto        wr3
            decfsz      Reg_tmp2, F   
            goto        wr3
            decfsz      Reg_tmp3, F
            goto        wr3
            clrwdt
            return

;  100 ms 
del_100ms   call        del_50ms
            call        del_50ms
            return

;  1 s
del_1s      call        del_100ms
            call        del_100ms
            call        del_100ms
            call        del_100ms
            call        del_100ms
            call        del_100ms
            call        del_100ms
            call        del_100ms
            call        del_100ms
            call        del_100ms
            return

simb_0      movlw       0x30          ; 0
            call        LCD_dig       ;  
            return
simb_1      movlw       0x31          ; 1
            call        LCD_dig       ;  
            return
simb_2      movlw       0x32          ; 2
            call        LCD_dig       ;  
            return
simb_3      movlw       0x33          ; 3
            call        LCD_dig       ;  
            return
simb_4      movlw       0x34          ; 4
            call        LCD_dig       ;  
            return
simb_5      movlw       0x35          ; 5
            call        LCD_dig       ;  
            return
simb_9      movlw       0x39          ; 9
            call        LCD_dig       ;  
            return
simb_tire   movlw       0x2D          ; -
            call        LCD_dig       ;  
            return
simb_equ    movlw       0x3D          ; = 555
            call        LCD_dig       ;   555
            return                    ; 555
simb_plus   movlw       0x2B          ; +
            call        LCD_dig       ;  
            return
simb_kurs   movlw       0x3E          ; >
            call        LCD_dig       ;  
            return
simb_pust   movlw       0x20          ;  
            call        LCD_dig       ;  
            return
simb_proc   movlw       0x25          ; %
            call        LCD_dig       ;  
            return
simb_grad   movlw       0x02          ; 777 DF          ; "
            call        LCD_dig       ;  
            return
simb_up     movlw       0x00          ; 777 0xD9          ;  
            call        LCD_dig       ;  
            return
simb_down   movlw       0x01          ; 777 0xDA          ;  
            call        LCD_dig       ;  
            return
simb_A      movlw       0x41          ; A
            call        LCD_dig       ;  
            return
simb_B      movlw       0x42          ; B
            call        LCD_dig       ;  
            return
simb_C      movlw       0x43          ; C
            call        LCD_dig       ;  
            return
simb_D      movlw       0x44          ; D
            call        LCD_dig       ;  
            return
simb_E      movlw       0x45          ; E
            call        LCD_dig       ;  
            return
simb_F      movlw       0x46          ; F
            call        LCD_dig       ;  
            return
simb_H      movlw       0x48          ; H
            call        LCD_dig       ;  
            return
simb_I      movlw       0x49          ; I
            call        LCD_dig       ;  
            return
simb_K      movlw       0x4B          ; K
            call        LCD_dig       ;  
            return
simb_L      movlw       0x4C          ; L
            call        LCD_dig       ;  
            return
simb_M      movlw       0x4D          ; M
            call        LCD_dig       ;  
            return
simb_N      movlw       0x4E          ; N
            call        LCD_dig       ;  
            return
simb_O      movlw       0x4F          ; O
            call        LCD_dig       ;  
            return
simb_P      movlw       0x50          ; P
            call        LCD_dig       ;  
            return
simb_R      movlw       0x52          ; 555 R
            call        LCD_dig       ; 555  
            return                    ; 555
simb_S      movlw       0x53          ; S
            call        LCD_dig       ;  
            return
simb_T      movlw       0x54          ; T
            call        LCD_dig       ;  
            return
simb_U      movlw       0x55          ; U
            call        LCD_dig       ;  
            return
simb_a      movlw       0x61          ; a
            call        LCD_dig       ;  
            return
simb_b      movlw       0x62          ; b
            call        LCD_dig       ;  
            return
simb_k      movlw       0x6B          ; k
            call        LCD_dig       ;  
            return
simb_m      movlw       0x6D          ; m
            call        LCD_dig       ;  
            return
simb_r      movlw       0x72          ; r
            call        LCD_dig       ;  
            return
simb_t      movlw       0x74          ; t
            call        LCD_dig       ;  
            return
simb_x      movlw       0x78          ; x
            call        LCD_dig       ;  
            return
; 555 simb_rus_I  movlw       0xA5          ; 
; 555             call        LCD_dig       ;  
; 555             return
; 555 simb_rus_L  movlw       0xA7          ; 
; 555             call        LCD_dig       ;  
; 555             return
; 555 simb_rus_P  movlw       0xA8          ; 
; 555             call        LCD_dig       ;  
; 555             return
; 555 simb_rus_Y  movlw       0xA9          ; 
; 555             call        LCD_dig       ;  
; 555             return
; 555 simb_rus_F  movlw       0xAA          ; 
; 555             call        LCD_dig       ;  
; 555             return
; 555 simb_rus_CH movlw       0xAB          ; 
; 555             call        LCD_dig       ;  
; 555             return

;########################################################################################################################################################
; 2   
TPR ;   
            org         0x800         ;   2   
            bcf         PCLATH, 4     ;  2   
            bsf         PCLATH, 3     ; -//-
            bsf         PROPUSK       ; 999     ,       (1- )
            movf        Reg_tmp_PR,W  ;   W  Reg_tmp_PR
            andlw       b'00001111'   ;    W ( 4  )
            addwf       PCL,f         ;    PC      W
            nop
            goto        T_PROFF_1     ; 1 
            goto        T_PROFF_2     ; 2 
            goto        T_PROFF_3     ; 3 
            goto        T_PROFF_4     ; 4 
            goto        T_PROFF_5     ; 5 
            goto        T_PROFF_6     ; 6 
            goto        T_PROFF_7     ; 7 
            goto        T_PROFF_8     ; 8 
            goto        T_PROFF_9     ; 9 
            goto        T_PROFF_10    ; 10 
            goto        T_PROFF_11    ; 11 
            goto        T_PROFF_12    ; 12 
            goto        T_PROFF_13    ; 13 
            lgoto       T_PROFF_14    ; 14 

T_PROFF_1 ;   1  Tmax - 190 "C  15 
            lcall       ress         ;  ,  
            lcall       PREDNAGREV_1 ;   1-120  T=30-150"C
            lcall       PREDNAGREV_2_Pb ;   2  Pb+ 120-210  T=150-180"C
            movlw       .181          ;211 
            lcall       T_UST
            movlw       .182          ;212 
            lcall       T_UST
            movlw       .183          ;213 
            lcall       T_UST
            movlw       .184          ;214 
            lcall       T_UST
            movlw       .185          ;215 
            lcall       T_UST
            movlw       .186          ;216 
            lcall       T_UST
            movlw       .187          ;217 
            lcall       T_UST
            movlw       .188          ;218 
            lcall       T_UST
            movlw       .189          ;219 
            lcall       T_UST
            movlw       .190          ;220 
            lcall       T_UST
            movlw       .190          ;221 
            lcall       T_UST
            movlw       .190          ;222 
            lcall       T_UST
            movlw       .190          ;223 
            lcall       T_UST
            movlw       .190          ;224 
            lcall       T_UST
            movlw       .190          ;225 
            lcall       T_UST
            movlw       .190          ;226 
            lcall       T_UST
            movlw       .190          ;227 
            lcall       T_UST
            movlw       .190          ;228 
            lcall       T_UST
            movlw       .190          ;229 
            lcall       T_UST
            lcall       BEEEP         ;   
            movlw       .190          ;230 
            lcall       T_UST
            movlw       .190          ;231 
            lcall       T_UST
            movlw       .190          ;232 
            lcall       T_UST
            movlw       .190          ;233 
            lcall       T_UST
            movlw       .190          ;234 
            lcall       T_UST
            movlw       .187          ;235 
            lcall       T_UST
            movlw       .184          ;236 
            lcall       T_UST
            lcall       OHLAZHDENIE_Pb ;   Pb+ T=180-120"C
            lcall       OFFh          ;   
            lgoto       Go            ;      

T_PROFF_2 ;   2  Tmax - 195 "C  15 
            lcall       ress         ;  ,  
            lcall       PREDNAGREV_1 ;   1-120  T=30-150"C
            lcall       PREDNAGREV_2_Pb ;   2  Pb+ 120-210  T=150-180"C
            movlw       .182          ;211 
            lcall       T_UST
            movlw       .184          ;212 
            lcall       T_UST
            movlw       .186          ;213 
            lcall       T_UST
            movlw       .188          ;214 
            lcall       T_UST
            movlw       .190          ;215 
            lcall       T_UST
            movlw       .192          ;216 
            lcall       T_UST
            movlw       .194          ;217 
            lcall       T_UST
            movlw       .195          ;218 
            lcall       T_UST
            movlw       .195          ;219 
            lcall       T_UST
            movlw       .195          ;220 
            lcall       T_UST
            movlw       .195          ;221 
            lcall       T_UST
            movlw       .195          ;222 
            lcall       T_UST
            movlw       .195          ;223 
            lcall       T_UST
            movlw       .195          ;224 
            lcall       T_UST
            movlw       .195          ;225 
            lcall       T_UST
            movlw       .195          ;226 
            lcall       T_UST
            movlw       .195          ;227 
            lcall       T_UST
            lcall       BEEEP         ;   
            movlw       .195          ;228 
            lcall       T_UST
            movlw       .195          ;229 
            lcall       T_UST
            movlw       .195          ;230 
            lcall       T_UST
            movlw       .195          ;231 
            lcall       T_UST
            movlw       .195          ;232 
            lcall       T_UST
            movlw       .192          ;233 
            lcall       T_UST
            movlw       .189          ;234 
            lcall       T_UST
            movlw       .186          ;235 
            lcall       T_UST
            movlw       .183          ;236 
            lcall       T_UST
            lcall       OHLAZHDENIE_Pb ;   Pb+ T=180-120"C
            lcall       OFFh          ;   
            lgoto       Go            ;      

T_PROFF_3 ;   3  Tmax - 200 "C  15 
            lcall       ress         ;  ,  
            lcall       PREDNAGREV_1 ;   1-120  T=30-150"C
            lcall       PREDNAGREV_2_Pb ;   2  Pb+ 120-210  T=150-180"C
            movlw       .182          ;211 
            lcall       T_UST
            movlw       .184          ;212 
            lcall       T_UST
            movlw       .186          ;213 
            lcall       T_UST
            movlw       .188          ;214 
            lcall       T_UST
            movlw       .190          ;215 
            lcall       T_UST
            movlw       .192          ;216 
            lcall       T_UST
            movlw       .194          ;217 
            lcall       T_UST
            movlw       .196          ;218 
            lcall       T_UST
            movlw       .198          ;219 
            lcall       T_UST
            movlw       .200          ;220 
            lcall       T_UST
            movlw       .200          ;221 
            lcall       T_UST
            movlw       .200          ;222 
            lcall       T_UST
            movlw       .200          ;223 
            lcall       T_UST
            movlw       .200          ;224 
            lcall       T_UST
            movlw       .200          ;225 
            lcall       T_UST
            movlw       .200          ;226 
            lcall       T_UST
            movlw       .200          ;227 
            lcall       T_UST
            movlw       .200          ;228 
            lcall       T_UST
            movlw       .200          ;229 
            lcall       T_UST
            lcall       BEEEP         ;   
            movlw       .200          ;230 
            lcall       T_UST
            movlw       .200          ;231 
            lcall       T_UST
            movlw       .200          ;232 
            lcall       T_UST
            movlw       .200          ;233 
            lcall       T_UST
            movlw       .200          ;234 
            lcall       T_UST
            movlw       .197          ;235 
            lcall       T_UST
            movlw       .194          ;236 
            lcall       T_UST
            movlw       .191          ;237 
            lcall       T_UST
            movlw       .188          ;238 
            lcall       T_UST
            movlw       .185          ;239 
            lcall       T_UST
            movlw       .182          ;240 
            lcall       T_UST
            lcall       OHLAZHDENIE_Pb ;   Pb+ T=180-120"C
            lcall       OFFh          ;   
            lgoto       Go            ;      

T_PROFF_4 ;   4  Tmax - 205 "C  15 
            lcall       ress         ;  ,  
            lcall       PREDNAGREV_1 ;   1-120  T=30-150"C
            lcall       PREDNAGREV_2_Pb ;   2  Pb+ 120-210  T=150-180"C
            movlw       .182          ;211 
            lcall       T_UST
            movlw       .184          ;212 
            lcall       T_UST
            movlw       .186          ;213 
            lcall       T_UST
            movlw       .188          ;214 
            lcall       T_UST
            movlw       .190          ;215 
            lcall       T_UST
            movlw       .192          ;216 
            lcall       T_UST
            movlw       .194          ;217 
            lcall       T_UST
            movlw       .196          ;218 
            lcall       T_UST
            movlw       .198          ;219 
            lcall       T_UST
            movlw       .200          ;220 
            lcall       T_UST
            movlw       .202          ;221 
            lcall       T_UST
            movlw       .204          ;222 
            lcall       T_UST
            movlw       .205          ;223 
            lcall       T_UST
            movlw       .205          ;224 
            lcall       T_UST
            movlw       .205          ;225 
            lcall       T_UST
            movlw       .205          ;226 
            lcall       T_UST
            movlw       .205          ;227 
            lcall       T_UST
            movlw       .205          ;228 
            lcall       T_UST
            movlw       .205          ;229 
            lcall       T_UST
            movlw       .205          ;230 
            lcall       T_UST
            movlw       .205          ;231 
            lcall       T_UST
            movlw       .205          ;232 
            lcall       T_UST
            lcall       BEEEP         ;   
            movlw       .205          ;233 
            lcall       T_UST
            movlw       .205          ;234 
            lcall       T_UST
            movlw       .205          ;235 
            lcall       T_UST
            movlw       .205          ;236 
            lcall       T_UST
            movlw       .205          ;237 
            lcall       T_UST
            movlw       .202          ;238 
            lcall       T_UST
            movlw       .199          ;239 
            lcall       T_UST
            movlw       .196          ;240 
            lcall       T_UST
            movlw       .193          ;241 
            lcall       T_UST
            movlw       .190          ;242 
            lcall       T_UST
            movlw       .187          ;243 
            lcall       T_UST
            movlw       .183          ;244 
            lcall       T_UST
            lcall       OHLAZHDENIE_Pb ;   Pb+ T=180-120"C
            lcall       OFFh          ;   
            lgoto       Go            ;      

T_PROFF_5 ;   5  Tmax - 210 "C  15 
            lcall       ress         ;  ,  
            lcall       PREDNAGREV_1 ;   1-120  T=30-150"C
            lcall       PREDNAGREV_2_Pb ;   2  Pb+ 120-210  T=150-180"C
            movlw       .182          ;211 
            lcall       T_UST
            movlw       .184          ;212 
            lcall       T_UST
            movlw       .186          ;213 
            lcall       T_UST
            movlw       .188          ;214 
            lcall       T_UST
            movlw       .190          ;215 
            lcall       T_UST
            movlw       .192          ;216 
            lcall       T_UST
            movlw       .194          ;217 
            lcall       T_UST
            movlw       .196          ;218 
            lcall       T_UST
            movlw       .198          ;219 
            lcall       T_UST
            movlw       .200          ;220 
            lcall       T_UST
            movlw       .202          ;221 
            lcall       T_UST
            movlw       .204          ;222 
            lcall       T_UST
            movlw       .206          ;223 
            lcall       T_UST
            movlw       .208          ;224 
            lcall       T_UST
            movlw       .210          ;225 
            lcall       T_UST
            movlw       .210          ;226 
            lcall       T_UST
            movlw       .210          ;227 
            lcall       T_UST
            movlw       .210          ;228 
            lcall       T_UST
            movlw       .210          ;229 
            lcall       T_UST
            movlw       .210          ;230 
            lcall       T_UST
            movlw       .210          ;231 
            lcall       T_UST
            movlw       .210          ;232 
            lcall       T_UST
            movlw       .210          ;233 
            lcall       T_UST
            movlw       .210          ;234 
            lcall       T_UST
            lcall       BEEEP         ;   
            movlw       .210          ;235 
            lcall       T_UST
            movlw       .210          ;236 
            lcall       T_UST
            movlw       .210          ;237 
            lcall       T_UST
            movlw       .210          ;238 
            lcall       T_UST
            movlw       .210          ;239 
            lcall       T_UST
            movlw       .207          ;240 
            lcall       T_UST
            movlw       .204          ;241 
            lcall       T_UST
            movlw       .201          ;242 
            lcall       T_UST
            movlw       .198          ;243 
            lcall       T_UST
            movlw       .195          ;244 
            lcall       T_UST
            movlw       .192          ;245 
            lcall       T_UST
            movlw       .189          ;246 
            lcall       T_UST
            movlw       .186          ;247 
            lcall       T_UST
            movlw       .183          ;248 
            lcall       T_UST
            lcall       OHLAZHDENIE_Pb ;   Pb+ T=180-120"C
            lcall       OFFh          ;   
            lgoto       Go            ;      

T_PROFF_6 ;   6  Tmax - 215 "C  15 
            lcall       ress         ;  ,  
            lcall       PREDNAGREV_1 ;   1-120  T=30-150"C
            lcall       PREDNAGREV_2_Pb ;   2  Pb+ 120-210  T=150-180"C
            movlw       .182          ;211 
            lcall       T_UST
            movlw       .184          ;212 
            lcall       T_UST
            movlw       .186          ;213 
            lcall       T_UST
            movlw       .188          ;214 
            lcall       T_UST
            movlw       .190          ;215 
            lcall       T_UST
            movlw       .192          ;216 
            lcall       T_UST
            movlw       .194          ;217 
            lcall       T_UST
            movlw       .196          ;218 
            lcall       T_UST
            movlw       .198          ;219 
            lcall       T_UST
            movlw       .200          ;220 
            lcall       T_UST
            movlw       .202          ;221 
            lcall       T_UST
            movlw       .204          ;222 
            lcall       T_UST
            movlw       .206          ;223 
            lcall       T_UST
            movlw       .208          ;224 
            lcall       T_UST
            movlw       .210          ;225 
            lcall       T_UST
            movlw       .212          ;226 
            lcall       T_UST
            movlw       .214          ;227 
            lcall       T_UST
            movlw       .215          ;228 
            lcall       T_UST
            movlw       .215          ;229 
            lcall       T_UST
            movlw       .215          ;230 
            lcall       T_UST
            movlw       .215          ;231 
            lcall       T_UST
            movlw       .215          ;232 
            lcall       T_UST
            movlw       .215          ;233 
            lcall       T_UST
            movlw       .215          ;234 
            lcall       T_UST
            movlw       .215          ;235 
            lcall       T_UST
            movlw       .215          ;236 
            lcall       T_UST
            movlw       .215          ;237 
            lcall       T_UST
            lcall       BEEEP         ;   
            movlw       .215          ;238 
            lcall       T_UST
            movlw       .215          ;239 
            lcall       T_UST
            movlw       .215          ;240 
            lcall       T_UST
            movlw       .215          ;241 
            lcall       T_UST
            movlw       .215          ;242 
            lcall       T_UST
            movlw       .212          ;243 
            lcall       T_UST
            movlw       .209          ;244 
            lcall       T_UST
            movlw       .206          ;245 
            lcall       T_UST
            movlw       .203          ;246 
            lcall       T_UST
            movlw       .200          ;247 
            lcall       T_UST
            movlw       .197          ;248 
            lcall       T_UST
            movlw       .194          ;249 
            lcall       T_UST
            movlw       .191          ;250 
            lcall       T_UST
            movlw       .188          ;251 
            lcall       T_UST
            movlw       .185          ;252 
            lcall       T_UST
            movlw       .182          ;253 
            lcall       T_UST
            lcall       OHLAZHDENIE_Pb ;   Pb+ T=180-120"C
            lcall       OFFh          ;   
            lgoto       Go            ;      

T_PROFF_7 ;   7  Tmax - 220 "C  15 
            lcall       ress         ;  ,  
            lcall       PREDNAGREV_1 ;   1-120  T=30-150"C
            lcall       PREDNAGREV_2_Pb ;   2  Pb+ 120-210  T=150-180"C
            movlw       .182          ;211 
            lcall       T_UST
            movlw       .184          ;212 
            lcall       T_UST
            movlw       .186          ;213 
            lcall       T_UST
            movlw       .188          ;214 
            lcall       T_UST
            movlw       .190          ;215 
            lcall       T_UST
            movlw       .192          ;216 
            lcall       T_UST
            movlw       .194          ;217 
            lcall       T_UST
            movlw       .196          ;218 
            lcall       T_UST
            movlw       .198          ;219 
            lcall       T_UST
            movlw       .200          ;220 
            lcall       T_UST
            movlw       .202          ;221 
            lcall       T_UST
            movlw       .204          ;222 
            lcall       T_UST
            movlw       .206          ;223 
            lcall       T_UST
            movlw       .208          ;224 
            lcall       T_UST
            movlw       .210          ;225 
            lcall       T_UST
            movlw       .212          ;226 
            lcall       T_UST
            movlw       .214          ;227 
            lcall       T_UST
            movlw       .216          ;228 
            lcall       T_UST
            movlw       .218          ;229 
            lcall       T_UST
            movlw       .220          ;230 
            lcall       T_UST
            movlw       .220          ;231 
            lcall       T_UST
            movlw       .220          ;232 
            lcall       T_UST
            movlw       .220          ;233 
            lcall       T_UST
            movlw       .220          ;234 
            lcall       T_UST
            movlw       .220          ;235 
            lcall       T_UST
            movlw       .220          ;236 
            lcall       T_UST
            movlw       .220          ;237 
            lcall       T_UST
            movlw       .220          ;238 
            lcall       T_UST
            movlw       .220          ;239 
            lcall       T_UST
            lcall       BEEEP         ;   
            movlw       .220          ;240 
            lcall       T_UST
            movlw       .220          ;241 
            lcall       T_UST
            movlw       .220          ;242 
            lcall       T_UST
            movlw       .220          ;243 
            lcall       T_UST
            movlw       .220          ;244 
            lcall       T_UST
            movlw       .217          ;245 
            lcall       T_UST
            movlw       .214          ;246 
            lcall       T_UST
            movlw       .211          ;247 
            lcall       T_UST
            movlw       .208          ;248 
            lcall       T_UST
            movlw       .205          ;249 
            lcall       T_UST
            movlw       .202          ;250 
            lcall       T_UST
            movlw       .198          ;251 
            lcall       T_UST
            movlw       .195          ;252 
            lcall       T_UST
            movlw       .192          ;253 
            lcall       T_UST
            movlw       .189          ;254 
            lcall       T_UST
            movlw       .186          ;255 
            lcall       T_UST
            movlw       .183          ;256 
            lcall       T_UST
            lcall       OHLAZHDENIE_Pb ;   Pb+ T=180-120"C
            lcall       OFFh          ;   
            lgoto       Go            ;      

T_PROFF_8 ;   8  Tmax - 225 "C  15 
            lcall       ress         ;  ,  
            lcall       PREDNAGREV_1 ;   1-120  T=30-150"C
            lcall       PREDNAGREV_2_noPb ;   2  Pb- 120-210  T=150-220"C
            movlw       .222          ;211 
            lcall       T_UST
            movlw       .224          ;212 
            lcall       T_UST
            movlw       .225          ;213 
            lcall       T_UST
            movlw       .225          ;214 
            lcall       T_UST
            movlw       .225          ;215 
            lcall       T_UST
            movlw       .225          ;216 
            lcall       T_UST
            movlw       .225          ;217 
            lcall       T_UST
            movlw       .225          ;218 
            lcall       T_UST
            movlw       .225          ;219 
            lcall       T_UST
            movlw       .225          ;220 
            lcall       T_UST
            movlw       .225          ;221 
            lcall       T_UST
            movlw       .225          ;222 
            lcall       T_UST
            lcall       BEEEP         ;   
            movlw       .225          ;223 
            lcall       T_UST
            movlw       .225          ;224 
            lcall       T_UST
            movlw       .225          ;225 
            lcall       T_UST
            movlw       .225          ;226 
            lcall       T_UST
            movlw       .225          ;227 
            lcall       T_UST
            movlw       .222          ;228 
            lcall       T_UST
            lcall       OHLAZHDENIE_noPb ;   Pb+ T=220-120"C
            lcall       OFFh          ;   
            lgoto       Go            ;      

T_PROFF_9 ;   9  Tmax - 230 "C  15 
            lcall       ress         ;  ,  
            lcall       PREDNAGREV_1 ;   1-120  T=30-150"C
            lcall       PREDNAGREV_2_noPb ;   2  Pb- 120-210  T=150-220"C
            movlw       .222          ;211 
            lcall       T_UST
            movlw       .224          ;212 
            lcall       T_UST
            movlw       .226          ;213 
            lcall       T_UST
            movlw       .228          ;214 
            lcall       T_UST
            movlw       .230          ;215 
            lcall       T_UST
            movlw       .230          ;216 
            lcall       T_UST
            movlw       .230          ;217 
            lcall       T_UST
            movlw       .230          ;218 
            lcall       T_UST
            movlw       .230          ;219 
            lcall       T_UST
            movlw       .230          ;220 
            lcall       T_UST
            movlw       .230          ;221 
            lcall       T_UST
            movlw       .230          ;222 
            lcall       T_UST
            movlw       .230          ;223 
            lcall       T_UST
            movlw       .230          ;224 
            lcall       T_UST
            lcall       BEEEP         ;   
            movlw       .230          ;225 
            lcall       T_UST
            movlw       .230          ;226 
            lcall       T_UST
            movlw       .230          ;227 
            lcall       T_UST
            movlw       .230          ;228 
            lcall       T_UST
            movlw       .230          ;229 
            lcall       T_UST
            movlw       .227          ;230 
            lcall       T_UST
            movlw       .224          ;231 
            lcall       T_UST
            movlw       .221          ;232 
            lcall       T_UST
            lcall       OHLAZHDENIE_noPb ;   Pb+ T=220-120"C
            lcall       OFFh          ;   
            lgoto       Go            ;      

T_PROFF_10 ;   10  Tmax - 235 "C  15 
            lcall       ress         ;  ,  
            lcall       PREDNAGREV_1 ;   1-120  T=30-150"C
            lcall       PREDNAGREV_2_noPb ;   2  Pb- 120-210  T=150-220"C
            movlw       .222          ;211 
            lcall       T_UST
            movlw       .224          ;212 
            lcall       T_UST
            movlw       .226          ;213 
            lcall       T_UST
            movlw       .228          ;214 
            lcall       T_UST
            movlw       .230          ;215 
            lcall       T_UST
            movlw       .232          ;216 
            lcall       T_UST
            movlw       .234          ;217 
            lcall       T_UST
            movlw       .235          ;218 
            lcall       T_UST
            movlw       .235          ;219 
            lcall       T_UST
            movlw       .235          ;220 
            lcall       T_UST
            movlw       .235          ;221 
            lcall       T_UST
            movlw       .235          ;222 
            lcall       T_UST
            movlw       .235          ;223 
            lcall       T_UST
            movlw       .235          ;224 
            lcall       T_UST
            movlw       .235          ;225 
            lcall       T_UST
            movlw       .235          ;226 
            lcall       T_UST
            movlw       .235          ;227 
            lcall       T_UST
            lcall       BEEEP         ;   
            movlw       .235          ;228 
            lcall       T_UST
            movlw       .235          ;229 
            lcall       T_UST
            movlw       .235          ;230 
            lcall       T_UST
            movlw       .235          ;231 
            lcall       T_UST
            movlw       .235          ;232 
            lcall       T_UST
            movlw       .232          ;233 
            lcall       T_UST
            movlw       .229          ;234 
            lcall       T_UST
            movlw       .226          ;235 
            lcall       T_UST
            movlw       .223          ;236 
            lcall       T_UST
            movlw       .220          ;237 
            lcall       T_UST
            lcall       OHLAZHDENIE_noPb ;   Pb+ T=220-120"C
            lcall       OFFh          ;   
            lgoto       Go            ;      

T_PROFF_11 ;   11  Tmax - 240 "C  15 
            lcall       ress         ;  ,  
            lcall       PREDNAGREV_1 ;   1-120  T=30-150"C
            lcall       PREDNAGREV_2_noPb ;   2  Pb- 120-210  T=150-220"C
            movlw       .222          ;211 
            lcall       T_UST
            movlw       .224          ;212 
            lcall       T_UST
            movlw       .226          ;213 
            lcall       T_UST
            movlw       .228          ;214 
            lcall       T_UST
            movlw       .230          ;215 
            lcall       T_UST
            movlw       .232          ;216 
            lcall       T_UST
            movlw       .234          ;217 
            lcall       T_UST
            movlw       .236          ;218 
            lcall       T_UST
            movlw       .238          ;219 
            lcall       T_UST
            movlw       .240          ;220 
            lcall       T_UST
            movlw       .240          ;221 
            lcall       T_UST
            movlw       .240          ;222 
            lcall       T_UST
            movlw       .240          ;223 
            lcall       T_UST
            movlw       .240          ;224 
            lcall       T_UST
            movlw       .240          ;225 
            lcall       T_UST
            movlw       .240          ;226 
            lcall       T_UST
            movlw       .240          ;227 
            lcall       T_UST
            movlw       .240          ;228 
            lcall       T_UST
            movlw       .240          ;229 
            lcall       T_UST
            lcall       BEEEP         ;   
            movlw       .240          ;230 
            lcall       T_UST
            movlw       .240          ;231 
            lcall       T_UST
            movlw       .240          ;232 
            lcall       T_UST
            movlw       .240          ;233 
            lcall       T_UST
            movlw       .240          ;234 
            lcall       T_UST
            movlw       .237          ;235 
            lcall       T_UST
            movlw       .234          ;236 
            lcall       T_UST
            movlw       .231          ;237 
            lcall       T_UST
            movlw       .228          ;238 
            lcall       T_UST
            movlw       .225          ;239 
            lcall       T_UST
            movlw       .222          ;240 
            lcall       T_UST
            lcall       OHLAZHDENIE_noPb ;   Pb+ T=220-120"C
            lcall       OFFh          ;   
            lgoto       Go            ;      

T_PROFF_12 ;   12  Tmax - 245 "C  15 
            lcall       ress         ;  ,  
            lcall       PREDNAGREV_1 ;   1-120  T=30-150"C
            lcall       PREDNAGREV_2_noPb ;   2  Pb- 120-210  T=150-220"C
            movlw       .222          ;211 
            lcall       T_UST
            movlw       .224          ;212 
            lcall       T_UST
            movlw       .226          ;213 
            lcall       T_UST
            movlw       .228          ;214 
            lcall       T_UST
            movlw       .230          ;215 
            lcall       T_UST
            movlw       .232          ;216 
            lcall       T_UST
            movlw       .234          ;217 
            lcall       T_UST
            movlw       .236          ;218 
            lcall       T_UST
            movlw       .238          ;219 
            lcall       T_UST
            movlw       .240          ;220 
            lcall       T_UST
            movlw       .242          ;221 
            lcall       T_UST
            movlw       .244          ;222 
            lcall       T_UST
            movlw       .245          ;223 
            lcall       T_UST
            movlw       .245          ;224 
            lcall       T_UST
            movlw       .245          ;225 
            lcall       T_UST
            movlw       .245          ;226 
            lcall       T_UST
            movlw       .245          ;227 
            lcall       T_UST
            movlw       .245          ;228 
            lcall       T_UST
            movlw       .245          ;229 
            lcall       T_UST
            movlw       .245          ;230 
            lcall       T_UST
            movlw       .245          ;231 
            lcall       T_UST
            movlw       .245          ;232 
            lcall       T_UST
            lcall       BEEEP         ;   
            movlw       .245          ;233 
            lcall       T_UST
            movlw       .245          ;234 
            lcall       T_UST
            movlw       .245          ;235 
            lcall       T_UST
            movlw       .245          ;236 
            lcall       T_UST
            movlw       .245          ;237 
            lcall       T_UST
            movlw       .242          ;238 
            lcall       T_UST
            movlw       .239          ;239 
            lcall       T_UST
            movlw       .236          ;240 
            lcall       T_UST
            movlw       .233          ;241 
            lcall       T_UST
            movlw       .230          ;242 
            lcall       T_UST
            movlw       .227          ;243 
            lcall       T_UST
            movlw       .224          ;244 
            lcall       T_UST
            movlw       .221          ;245 
            lcall       T_UST
            lcall       OHLAZHDENIE_noPb ;   Pb+ T=220-120"C
            lcall       OFFh          ;   
            lgoto       Go            ;      

T_PROFF_13 ;   13  Tmax - 250 "C  15 
            lcall       ress         ;  ,  
            lcall       PREDNAGREV_1 ;   1-120  T=30-150"C
            lcall       PREDNAGREV_2_noPb ;   2  Pb- 120-210  T=150-220"C
            movlw       .222          ;211 
            lcall       T_UST
            movlw       .224          ;212 
            lcall       T_UST
            movlw       .226          ;213 
            lcall       T_UST
            movlw       .228          ;214 
            lcall       T_UST
            movlw       .230          ;215 
            lcall       T_UST
            movlw       .232          ;216 
            lcall       T_UST
            movlw       .234          ;217 
            lcall       T_UST
            movlw       .236          ;218 
            lcall       T_UST
            movlw       .238          ;219 
            lcall       T_UST
            movlw       .240          ;220 
            lcall       T_UST
            movlw       .242          ;221 
            lcall       T_UST
            movlw       .244          ;222 
            lcall       T_UST
            movlw       .246          ;223 
            lcall       T_UST
            movlw       .248          ;224 
            lcall       T_UST
            movlw       .250          ;225 
            lcall       T_UST
            movlw       .250          ;226 
            lcall       T_UST
            movlw       .250          ;227 
            lcall       T_UST
            movlw       .250          ;228 
            lcall       T_UST
            movlw       .250          ;229 
            lcall       T_UST
            movlw       .250          ;230 
            lcall       T_UST
            movlw       .250          ;231 
            lcall       T_UST
            movlw       .250          ;232 
            lcall       T_UST
            movlw       .250          ;233 
            lcall       T_UST
            movlw       .250          ;234 
            lcall       T_UST
            lcall       BEEEP         ;   
            movlw       .250          ;235 
            lcall       T_UST
            movlw       .250          ;236 
            lcall       T_UST
            movlw       .250          ;237 
            lcall       T_UST
            movlw       .250          ;238 
            lcall       T_UST
            movlw       .250          ;239 
            lcall       T_UST
            movlw       .247          ;240 
            lcall       T_UST
            movlw       .244          ;241 
            lcall       T_UST
            movlw       .241          ;242 
            lcall       T_UST
            movlw       .238          ;243 
            lcall       T_UST
            movlw       .235          ;244 
            lcall       T_UST
            movlw       .232          ;245 
            lcall       T_UST
            movlw       .229          ;246 
            lcall       T_UST
            movlw       .226          ;247 
            lcall       T_UST
            movlw       .223          ;248 
            lcall       T_UST
            movlw       .220          ;247 
            lcall       T_UST
            lcall       OHLAZHDENIE_noPb ;   Pb+ T=220-120"C
            lcall       OFFh          ;   
            lgoto       Go            ;      

;########################################################################################################################################################
; 3   
            org         0x1000        ;   3   
            bsf         PCLATH, 4     ;  3   
            bcf         PCLATH, 3     ; -//-

T_PROFF_14 ;   14  Tmax - 255 "C  15 
            lcall       ress         ;  ,  
            lcall       PREDNAGREV_1 ;   1-120  T=30-150"C
            lcall       PREDNAGREV_2_noPb ;   2  Pb- 120-210  T=150-220"C
            movlw       .222          ;211 
            lcall       T_UST
            movlw       .224          ;212 
            lcall       T_UST
            movlw       .226          ;213 
            lcall       T_UST
            movlw       .228          ;214 
            lcall       T_UST
            movlw       .230          ;215 
            lcall       T_UST
            movlw       .232          ;216 
            lcall       T_UST
            movlw       .234          ;217 
            lcall       T_UST
            movlw       .236          ;218 
            lcall       T_UST
            movlw       .238          ;219 
            lcall       T_UST
            movlw       .240          ;220 
            lcall       T_UST
            movlw       .242          ;221 
            lcall       T_UST
            movlw       .244          ;222 
            lcall       T_UST
            movlw       .246          ;223 
            lcall       T_UST
            movlw       .248          ;224 
            lcall       T_UST
            movlw       .250          ;225 
            lcall       T_UST
            movlw       .252          ;226 
            lcall       T_UST
            movlw       .254          ;227 
            lcall       T_UST
            movlw       .255          ;228 
            lcall       T_UST
            movlw       .255          ;229 
            lcall       T_UST
            movlw       .255          ;230 
            lcall       T_UST
            movlw       .255          ;231 
            lcall       T_UST
            movlw       .255          ;232 
            lcall       T_UST
            movlw       .255          ;233 
            lcall       T_UST
            movlw       .255          ;234 
            lcall       T_UST
            movlw       .255          ;235 
            lcall       T_UST
            movlw       .255          ;236 
            lcall       T_UST
            movlw       .255          ;237 
            lcall       T_UST
            lcall       BEEEP         ;   
            movlw       .255          ;238 
            lcall       T_UST
            movlw       .255          ;239 
            lcall       T_UST
            movlw       .255          ;240 
            lcall       T_UST
            movlw       .255          ;241 
            lcall       T_UST
            movlw       .255          ;242 
            lcall       T_UST
            movlw       .252          ;243 
            lcall       T_UST
            movlw       .249          ;244 
            lcall       T_UST
            movlw       .246          ;245 
            lcall       T_UST
            movlw       .243          ;246 
            lcall       T_UST
            movlw       .240          ;247 
            lcall       T_UST
            movlw       .237          ;248 
            lcall       T_UST
            movlw       .234          ;249 
            lcall       T_UST
            movlw       .231          ;250 
            lcall       T_UST
            movlw       .229          ;251 
            lcall       T_UST
            movlw       .226          ;252 
            lcall       T_UST
            movlw       .223          ;253 
            lcall       T_UST
            movlw       .220          ;254 
            lcall       T_UST
            lcall       OHLAZHDENIE_noPb ;   Pb+ T=220-120"C
            lcall       OFFh          ;   
            lgoto       Go            ;      

PREDNAGREV_1 ;   1 1-120  T=30-150"C
            movlw       .30           ;1 
            lcall       T_UST
            movlw       .32           ;2 
            lcall       T_UST
            movlw       .34           ;3 
            lcall       T_UST
            movlw       .36           ;4 
            lcall       T_UST
            movlw       .38           ;5 
            lcall       T_UST
            movlw       .40           ;6 
            lcall       T_UST
            movlw       .42           ;7 
            lcall       T_UST
            movlw       .44           ;8 
            lcall       T_UST
            movlw       .46           ;9 
            lcall       T_UST
            movlw       .48           ;10 
            lcall       T_UST
            movlw       .50           ;11 
            lcall       T_UST
            movlw       .52           ;12 
            lcall       T_UST
            movlw       .54           ;13 
            lcall       T_UST
            movlw       .56           ;14 
            lcall       T_UST
            movlw       .58           ;15 
            lcall       T_UST
            movlw       .60           ;16 
            lcall       T_UST
            movlw       .62           ;17 
            lcall       T_UST
            movlw       .64           ;18 
            lcall       T_UST
            movlw       .66           ;19 
            lcall       T_UST
            movlw       .68           ;20 
            lcall       T_UST
            movlw       .70           ;21 
            lcall       T_UST
            movlw       .71           ;22 
            lcall       T_UST
            movlw       .72           ;23 
            lcall       T_UST
            movlw       .73           ;24 
            lcall       T_UST
            movlw       .74           ;25 
            lcall       T_UST
            movlw       .75           ;26 
            lcall       T_UST
            movlw       .76           ;27 
            lcall       T_UST
            movlw       .77           ;28 
            lcall       T_UST
            movlw       .78           ;29 
            lcall       T_UST
            movlw       .79           ;30 
            lcall       T_UST
            movlw       .80           ;31 
            lcall       T_UST
            movlw       .81           ;32 
            lcall       T_UST
            movlw       .82           ;33 
            lcall       T_UST
            movlw       .83           ;34 
            lcall       T_UST
            movlw       .84           ;35 
            lcall       T_UST
            movlw       .85           ;36 
            lcall       T_UST
            movlw       .86           ;37 
            lcall       T_UST
            movlw       .87           ;38 
            lcall       T_UST
            movlw       .88           ;39 
            lcall       T_UST
            movlw       .89           ;40 
            lcall       T_UST
            movlw       .90           ;41 
            lcall       T_UST
            movlw       .91           ;42 
            lcall       T_UST
            movlw       .92           ;43 
            lcall       T_UST
            movlw       .93           ;44 
            lcall       T_UST
            movlw       .94           ;45 
            lcall       T_UST
            movlw       .95           ;46 
            lcall       T_UST
            movlw       .96           ;47 
            lcall       T_UST
            movlw       .97           ;48 
            lcall       T_UST
            movlw       .98           ;49 
            lcall       T_UST
            movlw       .99           ;50 
            lcall       T_UST
            movlw       .100          ;51 
            lcall       T_UST
            movlw       .101          ;52 
            lcall       T_UST
            movlw       .102          ;53 
            lcall       T_UST
            movlw       .103          ;54 
            lcall       T_UST
            movlw       .104          ;55 
            lcall       T_UST
            movlw       .105          ;56 
            lcall       T_UST
            movlw       .106          ;57 
            lcall       T_UST
            movlw       .107          ;58 
            lcall       T_UST
            movlw       .108          ;59 
            lcall       T_UST
            movlw       .109          ;60 
            lcall       T_UST
            movlw       .111          ;61 
            lcall       T_UST
            movlw       .112          ;62 
            lcall       T_UST
            movlw       .113          ;63 
            lcall       T_UST
            movlw       .114          ;64 
            lcall       T_UST
            movlw       .115          ;65 
            lcall       T_UST
            movlw       .116          ;66 
            lcall       T_UST
            movlw       .117          ;67 
            lcall       T_UST
            movlw       .118          ;68 
            lcall       T_UST
            movlw       .119          ;69 
            lcall       T_UST
            movlw       .120          ;70 
            lcall       T_UST
            movlw       .121          ;71 
            lcall       T_UST
            movlw       .122          ;72 
            lcall       T_UST
            movlw       .123          ;73 
            lcall       T_UST
            movlw       .124          ;74 
            lcall       T_UST
            movlw       .125          ;75 
            lcall       T_UST
            movlw       .126          ;76 
            lcall       T_UST
            movlw       .127          ;77 
            lcall       T_UST
            movlw       .128          ;78 
            lcall       T_UST
            movlw       .129          ;79 
            lcall       T_UST
            movlw       .130          ;80 
            lcall       T_UST
            movlw       .131          ;81 
            lcall       T_UST
            movlw       .132          ;82 
            lcall       T_UST
            movlw       .133          ;83 
            lcall       T_UST
            movlw       .134          ;84 
            lcall       T_UST
            movlw       .135          ;85 
            lcall       T_UST
            movlw       .136          ;86 
            lcall       T_UST
            movlw       .137          ;87 
            lcall       T_UST
            movlw       .138          ;88 
            lcall       T_UST
            movlw       .139          ;89 
            lcall       T_UST
            movlw       .140          ;90 
            lcall       T_UST
            movlw       .140          ;91 
            lcall       T_UST
            movlw       .140          ;92 
            lcall       T_UST
            movlw       .141          ;93 
            lcall       T_UST
            movlw       .141          ;94 
            lcall       T_UST
            movlw       .141          ;95 
            lcall       T_UST
            movlw       .142          ;96 
            lcall       T_UST
            movlw       .142          ;97 
            lcall       T_UST
            movlw       .142          ;98 
            lcall       T_UST
            movlw       .143          ;99 
            lcall       T_UST
            movlw       .143          ;100 
            lcall       T_UST
            movlw       .143          ;101 
            lcall       T_UST
            movlw       .144          ;102 
            lcall       T_UST
            movlw       .144          ;103 
            lcall       T_UST
            movlw       .144          ;104 
            lcall       T_UST
            movlw       .145          ;105 
            lcall       T_UST
            movlw       .145          ;106 
            lcall       T_UST
            movlw       .145          ;107 
            lcall       T_UST
            movlw       .146          ;108 
            lcall       T_UST
            movlw       .146          ;109 
            lcall       T_UST
            movlw       .146          ;110 
            lcall       T_UST
            movlw       .147          ;111 
            lcall       T_UST
            movlw       .147          ;112 
            lcall       T_UST
            movlw       .147          ;113 
            lcall       T_UST
            movlw       .148          ;114 
            lcall       T_UST
            movlw       .148          ;115 
            lcall       T_UST
            movlw       .148          ;116 
            lcall       T_UST
            movlw       .149          ;117 
            lcall       T_UST
            movlw       .149          ;118 
            lcall       T_UST
            movlw       .149          ;119 
            lcall       T_UST
            movlw       .150          ;120 
            lcall       T_UST
            return
;--------------------------------------------------------------------------------------------------------------------------------------------------------
PREDNAGREV_2_Pb ;   2  Pb+ 120-210  T=150-180"C
            movlw       .150          ;121 
            lcall       T_UST
            movlw       .150          ;122 
            lcall       T_UST
            movlw       .151          ;123 
            lcall       T_UST
            movlw       .151          ;124 
            lcall       T_UST
            movlw       .151          ;125 
            lcall       T_UST
            movlw       .152          ;126 
            lcall       T_UST
            movlw       .152          ;127 
            lcall       T_UST
            movlw       .152          ;128 
            lcall       T_UST
            movlw       .153          ;129 
            lcall       T_UST
            movlw       .153          ;130 
            lcall       T_UST
            movlw       .153          ;131 
            lcall       T_UST
            movlw       .154          ;132 
            lcall       T_UST
            movlw       .154          ;133 
            lcall       T_UST
            movlw       .154          ;134 
            lcall       T_UST
            movlw       .155          ;135 
            lcall       T_UST
            movlw       .155          ;136 
            lcall       T_UST
            movlw       .155          ;137 
            lcall       T_UST
            movlw       .156          ;138 
            lcall       T_UST
            movlw       .156          ;139 
            lcall       T_UST
            movlw       .156          ;140 
            lcall       T_UST
            movlw       .157          ;141 
            lcall       T_UST
            movlw       .157          ;142 
            lcall       T_UST
            movlw       .157          ;143 
            lcall       T_UST
            movlw       .158          ;144 
            lcall       T_UST
            movlw       .158          ;145 
            lcall       T_UST
            movlw       .158          ;146 
            lcall       T_UST
            movlw       .159          ;147 
            lcall       T_UST
            movlw       .159          ;148 
            lcall       T_UST
            movlw       .159          ;149 
            lcall       T_UST
            movlw       .160          ;150 
            lcall       T_UST
            movlw       .160          ;151 
            lcall       T_UST
            movlw       .160          ;152 
            lcall       T_UST
            movlw       .161          ;153 
            lcall       T_UST
            movlw       .161          ;154 
            lcall       T_UST
            movlw       .161          ;155 
            lcall       T_UST
            movlw       .162          ;156 
            lcall       T_UST
            movlw       .162          ;157 
            lcall       T_UST
            movlw       .162          ;158 
            lcall       T_UST
            movlw       .163          ;159 
            lcall       T_UST
            movlw       .163          ;160 
            lcall       T_UST
            movlw       .163          ;161 
            lcall       T_UST
            movlw       .164          ;162 
            lcall       T_UST
            movlw       .164          ;163 
            lcall       T_UST
            movlw       .164          ;164 
            lcall       T_UST
            movlw       .165          ;165 
            lcall       T_UST
            movlw       .165          ;166 
            lcall       T_UST
            movlw       .165          ;167 
            lcall       T_UST
            movlw       .166          ;168 
            lcall       T_UST
            movlw       .166          ;169 
            lcall       T_UST
            movlw       .166          ;170 
            lcall       T_UST
            movlw       .167          ;171 
            lcall       T_UST
            movlw       .167          ;172 
            lcall       T_UST
            movlw       .167          ;173 
            lcall       T_UST
            movlw       .168          ;174 
            lcall       T_UST
            movlw       .168          ;175 
            lcall       T_UST
            movlw       .168          ;176 
            lcall       T_UST
            movlw       .169          ;177 
            lcall       T_UST
            movlw       .169          ;178 
            lcall       T_UST
            movlw       .169          ;179 
            lcall       T_UST
            movlw       .170          ;180 
            lcall       T_UST
            movlw       .170          ;181 
            lcall       T_UST
            movlw       .170          ;182 
            lcall       T_UST
            movlw       .171          ;183 
            lcall       T_UST
            movlw       .171          ;184 
            lcall       T_UST
            movlw       .171          ;185 
            lcall       T_UST
            movlw       .172          ;186 
            lcall       T_UST
            movlw       .172          ;187 
            lcall       T_UST
            movlw       .172          ;188 
            lcall       T_UST
            movlw       .173          ;189 
            lcall       T_UST
            movlw       .173          ;190 
            lcall       T_UST
            movlw       .173          ;191 
            lcall       T_UST
            movlw       .174          ;192 
            lcall       T_UST
            movlw       .174          ;193 
            lcall       T_UST
            movlw       .174          ;194 
            lcall       T_UST
            movlw       .175          ;195 
            lcall       T_UST
            movlw       .175          ;196 
            lcall       T_UST
            movlw       .175          ;197 
            lcall       T_UST
            movlw       .176          ;198 
            lcall       T_UST
            movlw       .176          ;199 
            lcall       T_UST
            movlw       .176          ;200 
            lcall       T_UST
            movlw       .177          ;201 
            lcall       T_UST
            movlw       .177          ;202 
            lcall       T_UST
            movlw       .177          ;203 
            lcall       T_UST
            movlw       .178          ;204 
            lcall       T_UST
            movlw       .178          ;205 
            lcall       T_UST
            movlw       .178          ;206 
            lcall       T_UST
            movlw       .179          ;207 
            lcall       T_UST
            movlw       .179          ;208 
            lcall       T_UST
            movlw       .179          ;209 
            lcall       T_UST
            movlw       .180          ;210 
            lcall       T_UST
            return
;--------------------------------------------------------------------------------------------------------------------------------------------------------
PREDNAGREV_2_noPb ;   2  Pb- 120-210  T=150-220"C
            movlw       .151          ;121 
            lcall       T_UST
            movlw       .152          ;122 
            lcall       T_UST
            movlw       .152          ;123 
            lcall       T_UST
            movlw       .153          ;124 
            lcall       T_UST
            movlw       .154          ;125 
            lcall       T_UST
            movlw       .155          ;126 
            lcall       T_UST
            movlw       .155          ;127 
            lcall       T_UST
            movlw       .156          ;128 
            lcall       T_UST
            movlw       .157          ;129 
            lcall       T_UST
            movlw       .158          ;130 
            lcall       T_UST
            movlw       .159          ;131 
            lcall       T_UST
            movlw       .160          ;132 
            lcall       T_UST
            movlw       .160          ;133 
            lcall       T_UST
            movlw       .161          ;134 
            lcall       T_UST
            movlw       .162          ;135 
            lcall       T_UST
            movlw       .162          ;136 
            lcall       T_UST
            movlw       .163          ;137 
            lcall       T_UST
            movlw       .164          ;138 
            lcall       T_UST
            movlw       .165          ;139 
            lcall       T_UST
            movlw       .166          ;140 
            lcall       T_UST
            movlw       .166          ;141 
            lcall       T_UST
            movlw       .167          ;142 
            lcall       T_UST
            movlw       .168          ;143 
            lcall       T_UST
            movlw       .169          ;144 
            lcall       T_UST
            movlw       .169          ;145 
            lcall       T_UST
            movlw       .170          ;146 
            lcall       T_UST
            movlw       .171          ;147 
            lcall       T_UST
            movlw       .172          ;148 
            lcall       T_UST
            movlw       .173          ;149 
            lcall       T_UST
            movlw       .173          ;150 
            lcall       T_UST
            movlw       .174          ;151 
            lcall       T_UST
            movlw       .175          ;152 
            lcall       T_UST
            movlw       .176          ;153 
            lcall       T_UST
            movlw       .176          ;154 
            lcall       T_UST
            movlw       .177          ;155 
            lcall       T_UST
            movlw       .178          ;156 
            lcall       T_UST
            movlw       .179          ;157 
            lcall       T_UST
            movlw       .180          ;158 
            lcall       T_UST
            movlw       .180          ;159 
            lcall       T_UST
            movlw       .181          ;160 
            lcall       T_UST
            movlw       .182          ;161 
            lcall       T_UST
            movlw       .183          ;162 
            lcall       T_UST
            movlw       .183          ;163 
            lcall       T_UST
            movlw       .184          ;164 
            lcall       T_UST
            movlw       .185          ;165 
            lcall       T_UST
            movlw       .186          ;166 
            lcall       T_UST
            movlw       .187          ;167 
            lcall       T_UST
            movlw       .187          ;168 
            lcall       T_UST
            movlw       .188          ;169 
            lcall       T_UST
            movlw       .189          ;170 
            lcall       T_UST
            movlw       .190          ;171 
            lcall       T_UST
            movlw       .190          ;172 
            lcall       T_UST
            movlw       .191          ;173 
            lcall       T_UST
            movlw       .192          ;174 
            lcall       T_UST
            movlw       .193          ;175 
            lcall       T_UST
            movlw       .194          ;176 
            lcall       T_UST
            movlw       .194          ;177 
            lcall       T_UST
            movlw       .195          ;178 
            lcall       T_UST
            movlw       .196          ;179 
            lcall       T_UST
            movlw       .197          ;180 
            lcall       T_UST
            movlw       .197          ;181 
            lcall       T_UST
            movlw       .198          ;182 
            lcall       T_UST
            movlw       .199          ;183 
            lcall       T_UST
            movlw       .200          ;184 
            lcall       T_UST
            movlw       .201          ;185 
            lcall       T_UST
            movlw       .201          ;186 
            lcall       T_UST
            movlw       .202          ;187 
            lcall       T_UST
            movlw       .203          ;188 
            lcall       T_UST
            movlw       .204          ;189 
            lcall       T_UST
            movlw       .204          ;190 
            lcall       T_UST
            movlw       .205          ;191 
            lcall       T_UST
            movlw       .206          ;192 
            lcall       T_UST
            movlw       .207          ;193 
            lcall       T_UST
            movlw       .208          ;194 
            lcall       T_UST
            movlw       .208          ;195 
            lcall       T_UST
            movlw       .209          ;196 
            lcall       T_UST
            movlw       .210          ;197 
            lcall       T_UST
            movlw       .211          ;198 
            lcall       T_UST
            movlw       .211          ;199 
            lcall       T_UST
            movlw       .212          ;200 
            lcall       T_UST
            movlw       .213          ;201 
            lcall       T_UST
            movlw       .214          ;202 
            lcall       T_UST
            movlw       .215          ;203 
            lcall       T_UST
            movlw       .215          ;204 
            lcall       T_UST
            movlw       .216          ;205 
            lcall       T_UST
            movlw       .217          ;206 
            lcall       T_UST
            movlw       .218          ;207 
            lcall       T_UST
            movlw       .218          ;208 
            lcall       T_UST
            movlw       .219          ;209 
            lcall       T_UST
            movlw       .220          ;210 
            lcall       T_UST
            return
;--------------------------------------------------------------------------------------------------------------------------------------------------------
PREDNAGREV_3_noPb ;   3  Pb- 120-193  T=150-220"C
            movlw       .151          ;121 
            lcall       T_UST
            movlw       .152          ;122 
            lcall       T_UST
            movlw       .152          ;123 
            lcall       T_UST
            movlw       .153          ;124 
            lcall       T_UST
            movlw       .154          ;125 
            lcall       T_UST
            movlw       .155          ;126 
            lcall       T_UST
            movlw       .155          ;127 
            lcall       T_UST
            movlw       .156          ;128 
            lcall       T_UST
            movlw       .157          ;129 
            lcall       T_UST
            movlw       .158          ;130 
            lcall       T_UST
            movlw       .159          ;131 
            lcall       T_UST
            movlw       .160          ;132 
            lcall       T_UST
            movlw       .160          ;133 
            lcall       T_UST
            movlw       .161          ;134 
            lcall       T_UST
            movlw       .162          ;135 
            lcall       T_UST
            movlw       .162          ;136 
            lcall       T_UST
            movlw       .163          ;137 
            lcall       T_UST
            movlw       .164          ;138 
            lcall       T_UST
            movlw       .165          ;139 
            lcall       T_UST
            movlw       .166          ;140 
            lcall       T_UST
            movlw       .166          ;141 
            lcall       T_UST
            movlw       .167          ;142 
            lcall       T_UST
            movlw       .168          ;143 
            lcall       T_UST
            movlw       .169          ;144 
            lcall       T_UST
            movlw       .169          ;145 
            lcall       T_UST
            movlw       .170          ;146 
            lcall       T_UST
            movlw       .171          ;147 
            lcall       T_UST
            movlw       .172          ;148 
            lcall       T_UST
            movlw       .173          ;149 
            lcall       T_UST
            movlw       .173          ;150 
            lcall       T_UST
            movlw       .174          ;151 
            lcall       T_UST
            movlw       .175          ;152 
            lcall       T_UST
            movlw       .176          ;153 
            lcall       T_UST
            movlw       .176          ;154 
            lcall       T_UST
            movlw       .177          ;155 
            lcall       T_UST
            movlw       .178          ;156 
            lcall       T_UST
            movlw       .179          ;157 
            lcall       T_UST
            movlw       .180          ;158 
            lcall       T_UST
            movlw       .180          ;159 
            lcall       T_UST
            movlw       .181          ;160 
            lcall       T_UST
            movlw       .182          ;161 
            lcall       T_UST
            movlw       .183          ;162 
            lcall       T_UST
            movlw       .183          ;163 
            lcall       T_UST
            movlw       .184          ;164 
            lcall       T_UST
            movlw       .185          ;165 
            lcall       T_UST
            movlw       .186          ;166 
            lcall       T_UST
            movlw       .187          ;167 
            lcall       T_UST
            movlw       .187          ;168 
            lcall       T_UST
            movlw       .188          ;169 
            lcall       T_UST
            movlw       .189          ;170 
            lcall       T_UST
            movlw       .190          ;171 
            lcall       T_UST
            movlw       .190          ;172 
            lcall       T_UST
            movlw       .191          ;173 
            lcall       T_UST
            movlw       .192          ;174 
            lcall       T_UST
            movlw       .193          ;175 
            lcall       T_UST
            movlw       .194          ;176 
            lcall       T_UST
            movlw       .194          ;177 
            lcall       T_UST
            movlw       .195          ;178 
            lcall       T_UST
            movlw       .196          ;179 
            lcall       T_UST
            movlw       .197          ;180 
            lcall       T_UST
            movlw       .198          ;181 
            lcall       T_UST
            movlw       .199          ;182 
            lcall       T_UST
            movlw       .200          ;183 
            lcall       T_UST
            movlw       .202          ;184 
            lcall       T_UST
            movlw       .204          ;185 
            lcall       T_UST
            movlw       .206          ;186 
            lcall       T_UST
            movlw       .208          ;187 
            lcall       T_UST
            movlw       .210          ;188 
            lcall       T_UST
            movlw       .212          ;189 
            lcall       T_UST
            movlw       .214          ;190 
            lcall       T_UST
            movlw       .216          ;191 
            lcall       T_UST
            movlw       .218          ;192 
            lcall       T_UST
            movlw       .220          ;193 
            lcall       T_UST
            return

;--------------------------------------------------------------------------------------------------------------------------------------------------------
OHLAZHDENIE_Pb ;   Pb+ T=180-120"C
            movlw       .177         
            lcall       T_UST
            movlw       .174         
            lcall       T_UST
            movlw       .171         
            lcall       T_UST
            movlw       .168         
            lcall       T_UST
            movlw       .165         
            lcall       T_UST
            movlw       .162         
            lcall       T_UST
            movlw       .159         
            lcall       T_UST
            movlw       .156         
            lcall       T_UST
            movlw       .153         
            lcall       T_UST
            movlw       .150         
            lcall       T_UST
            movlw       .147         
            lcall       T_UST
            movlw       .144         
            lcall       T_UST
            movlw       .141         
            lcall       T_UST
            movlw       .138         
            lcall       T_UST
            movlw       .135         
            lcall       T_UST
            movlw       .132         
            lcall       T_UST
            movlw       .129         
            lcall       T_UST
            movlw       .126         
            lcall       T_UST
            movlw       .123         
            lcall       T_UST
            movlw       .120         
            lcall       T_UST
            return

;--------------------------------------------------------------------------------------------------------------------------------------------------------
OHLAZHDENIE_noPb ;   Pb- T=220-120"C
            movlw       .217         
            lcall       T_UST
            movlw       .214         
            lcall       T_UST
            movlw       .211         
            lcall       T_UST
            movlw       .208         
            lcall       T_UST
            movlw       .205         
            lcall       T_UST
            movlw       .202         
            lcall       T_UST
            movlw       .199         
            lcall       T_UST
            movlw       .196         
            lcall       T_UST
            movlw       .193         
            lcall       T_UST
            movlw       .190         
            lcall       T_UST
            movlw       .187         
            lcall       T_UST
            movlw       .184         
            lcall       T_UST
            movlw       .181         
            lcall       T_UST
            movlw       .178         
            lcall       T_UST
            movlw       .175         
            lcall       T_UST
            movlw       .172         
            lcall       T_UST
            movlw       .169         
            lcall       T_UST
            movlw       .166         
            lcall       T_UST
            movlw       .163         
            lcall       T_UST
            movlw       .160         
            lcall       T_UST
            movlw       .157         
            lcall       T_UST
            movlw       .154         
            lcall       T_UST
            movlw       .151         
            lcall       T_UST
            movlw       .148         
            lcall       T_UST
            movlw       .145         
            lcall       T_UST
            movlw       .142         
            lcall       T_UST
            movlw       .139         
            lcall       T_UST
            movlw       .136         
            lcall       T_UST
            movlw       .133         
            lcall       T_UST
            movlw       .130         
            lcall       T_UST
            movlw       .127         
            lcall       T_UST
            movlw       .124         
            lcall       T_UST
            movlw       .120         
            lcall       T_UST
            return

            end